Version 2.1.6 (released 28/03/2026)
- fix slow copy/move files when using Copy to and Drag and Drop (regression introduced in Xfe 2.1.4)

Version 2.1.5 (released 01/03/2026)
- fix some garbage strings in Xfi (regression introduced in Xfe 2.1.3)
- add a warning message when a program is not found, before displaying the Open with... dialog
- make all warning messages have the appropriate icon
- fix a crash when manipulating bookmarks (bug #314)
- fix escape or return key not working in command window
- fix return key not working after a file was selected in the new symlink file dialog
- fix opening files with spaces in their file name not working when startup notification is not used (regression
  introduced in Xfe 2.1.4)

Version 2.1.4 (released 08/02/2026)
- set initial browsing directory to current directory when comparing files 
- fix Xfe root mode not working with pkexec authentication in XFCE, MATE and LXDE desktops
- fix a typo in xfw.desktop.in.in
- change startup notification time to 1s when --disable-sn is used
- fix broken compilation with --disable-sn
- copy speed is now computed as a moving average of 20 values obtained every second
- fix Xfe iconic or maximized starting mode  

Version 2.1.3 (released 17/01/2026)
- put zoom out button before zoom in button in Xfi
- grey out zoom in and out buttons in Xfi when the maximum or minimum zoom factor is attained 
- fix Xfi crash and rewrite code related to image memory allocation (bug #313)
- update german translation (Joachim Wiedorn <joodebian@joonet.de>)
- fix mispellings in code comments
- add Keywords entry to desktop files
- update xferc file types
- remove unused variables in Preferences.h

Version 2.1.2 (released 01/01/2026)
- fix broken script execution in Search Panel
- fix return key not working in Search Panel
- fix double clicking on a symbolic link doesn't open the target file (bug #312)
- gray out bookmarks when the target directory does not exist (bug #311)
- fix 'xfe startfolder' not working anymore when always_show_tabbar is set to 1 (bug #307)
- fix wrong file list sort when returning from search list (bug #304)
- add wma audio file type
- fix ampersand character not showing bookmark menu (bug #308)
- fix keyboard cursor invisible in the search window (bug #301) and in some other dialogs
- don't display link size anymore
- fix wrong free space size in FreeBSD (bug #309)

Version 2.1.1 (released 30/05/2025)
- fix translations to handle capitals at the beginning of words in english menus
- fix FreeBSD compilation issues
- improve message text when when drag and drop operations is forced with Ctrl or Shift + left click in a file list
  or tree list
- fix wrong dialog title in DirList when drag and drop operations is forced with Ctrl or Shift + left click
- fix progress dialog showing too soon when drag and drop operations is forced with Ctrl or Shift + left click
  in a file list or tree list

Version 2.1 (released 18/05/2025)
- add sql file type icon for database
- update documentation
- allow folder comparisons using the external file comparator (ex: meld)
- fix keyboard navigation in directory tree panel, that was broken since version 2.0 
- hack to make keyboard navigation also work in combo box lists (FOX issue)
- don't insert line breaks in a middle of a word in message texts, when they are too long 
- remove useless FXMAX(ntotalwritten, 0) from fullwrite() function in File.cpp
- return to start location after an unmount operation
- fix a resource leak in File.cpp (detected by coverity scan)
- add Ctrl-W shortcut to close help window
- remove useless separator in ComboBox and WriteWindow popup menus
- fix Xfe address list not updated when clicking on the pathlinker
- add missing recent files feauture to Xfa and Xfp applications
- add a button that allows to clear history lists in combo boxes where they are used 
- add dialog to connect to a Samba server (Windows share) or SSH server, with optional password saving
  Use secret-tool to retrieve passwords if they were saved
- Xfe is now able to view sftp mounts (SSH mounts) using gio / gvfs
- fix Xfe crash when scripts directory contains a link to a directory
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- applied patched to fix Xfe broken build on FreeBSD (bug #296)
- Xfe is now able to copy / move / rename files and directories from / to an MTP mount. This requires
  that the MTP file system is mounted with gio / gvfs
- set cursor on name column as arrow when control or shift key is pressed
- fix gio / gvfs unmounting not working when domain or user name are not specified
- use uppercase first letter everywhere in titles and menu items (for default english locale)
- add web site links to About dialog
- reorganize Edit / Preferences dialog to make it less tall
- in Preferences / Appearance dialog, add a context menu to the themes list, to allow saving current theme
  and renaming or removing custom themes
- add a wait message when mounting / unmounting file systems
- rename Preferences / Modes to Preferences / Settings
- add new Automount options group to Edit / Preferences / Settings
- add a simple automounter using udisks2 and libnotify (optional). Only available on Linux systems
  and if udisks2 (and gio / gvfs) is installed. MTP devices are also supported
- upgrade st terminal to version 0.9.2
- Xfe toolbar positions can now be saved (when autosave layout option is enabled)
- add .mo and .gmo file types and fix wrong mini icons for .so, .la and .a binary file types  
- add a context menu to the combo box object (Copy / Cut / Paste, with an additional Paste and open menu
  item for the address bar)
- fix missing dock sites in Xfe
- translate toolbar docking menu
- fix several problems when building the .run installer. Now the installer can correctly use the user's locale
- improve error handling when icons are missing or default icon path does not exist
- move Preferences / Modes after Preferences / Dialog
- tabs can be saved and restored
- implement tabs in Xfe to handle multiple folders at the same time

Version 2.0.1 (released 15/03/2025)
- update buildrun, installrun and uninstall-xfe scripts
- rename uninstall script to uninstall-xfe
- update german translation (Joachim Wiedorn <joodebian@joonet.de>)
- improve name column autosize updating
- fix a memory leak In Iconlist when restoring original pixels (IMAGE_OWNED was missing when calling icon->setData()
  after icon->blend())
- fixed uninitialized colShown[id] when column is not shown
- remove underscore prefix from options in FileList, IconList and ComboBox headers
- add '->' symbol before link path in detailed file list
- add icon and association for .mat MATLAB data file 
- add case insensitive sort for link and original path columns
- fix status text in file lists
- fix column sorting in detailed file lists
- add some Microsoft Office extensions (docm, pptm, xlsm, potm, dotm, potm, xltm)
- prefix utility functions from xfeutils.cpp and xfeutils.h with 'xf_'
- don't quit bulk rename dialog when hitting return if nothing has to be renamed
- remove several global variables
- add a specific icon for jar archives and make Xfa handle jar archives
- fix missing xfarc file type
- fix missing Ctrl-L shortcut for clearing address bar
- fix incorrect display of file tooltips in file lists
- beautify code

Version 2.0 (released 11/01/2025)
- set vlc as default video player
- fix a bug where navigating with keyboard over a menubar did not work correctly
- allow keyboard navigation in back / forward directory lists and disable tooltip
- remove the Search label in General toolbar
- add a Quit button to the search window
- in file lists, symbolic links are now displayed with a badge icon drawn over the referred file icon
  This also works when image thumbnails are displayed
- add a link column to the detailed view to show the symbolic link path
- allow autosize of file name header in detailed view and set is as default
- fix a bug in Xfe that prevented to open files from the command line using xfe <file1> <file2> ...
- add a Scripts menu to Xfe
- add Previous / Next toolbar buttons and menu items to Xfi, with shortcuts Ctrl-J and Ctrl-K
- in Preferences / Programs tab, use the full path name when selecting a program
- add an history to the search input field
- in search panel, the default is now to follow symbolic links and to not search in other file systems
- add filter buttons to the file dialog
- provide a script named 'buildrun' that can be used to create a .run installer for Xfe. It assumes that linuxdeploy
  and makeself tools are installed on the system. The 'installrun' script is then invoked when the .run installer is
  launched. The 'uninstallrun' script can be used to remove the installation
- new application X File Archive (Xfa), a simple archive viewer and extractor
- don't allow multiple files selection in Xfp
- remove obsolete code for Xfv replacement
- add search for xferc in relative path to xfe executable
- add button for closing filter to file panels and rearrange buttons and labels
- blend icons to background for better rendering of icons with transparency
- new default icon theme (based on gperfection2 and gnome theme)
- new KDE icon theme (based on oxygen theme)
- new GNOME icon theme (based on gnome-brave and gperfection2 themes)
- new XFCE icon theme (based on elementary-xfce theme)
- new LibreOffice and MS-Office icons
- allow icon path to begin with ~ as home directory alias
- fix a compiler warning by limiting the number of files that can be opened in a file dialog
- when opening a terminal (Tools / Terminal or Ctrl-T), if one item is selected in the current file panel
  and it is a directory, then open the terminal there. Otherwise open the terminal in the current directory
- add a timeout before progress dialog is shown when unmounting a mount point
- fix wrong icon for hard disk mounts found in /etc/fstab
- add dependency requirement for polkit-gobject-1 to debian/control
- add check for package polkit-gobject-1 to configure.ac when pkexec is present
- add a tooltip to the themes list in the Preferences / Appearance tab
- replace the FOX theme with an Xfe theme that is used at first run
- fix wrong panel size in Xfi when switching forth and back from vertical panel to horizontal panel
- fix wrong Xfi panels disposition when Xfe is started before Xfi and no registry exists
- fix typo "Ctrl-Shift-N" instead of "Ctrl-Shift-F1" for vertical panels key binding
- fix typo "Ctrl-Ctrl" for some key bindings
- convert all PNG icons from indexed colors to RGB colors
- remove bookmarks sort menus, bookmarks order is now defined by the user
- add move up / move down bookmark menus
- replace bookmarks dictionary with vector of strings 
- Xfe toolbars arranged on a single line if screen width >= 1600, otherwise arranged on two lines
- replace '~' with home directory path in address bar 
- fix association not used for file names identical to file extensions 
- display the file size in file panel status bar when nothing is selected
- display the free space size in folder panel status bar instead of the non recursive directory size
- fix a refresh problem in X File Package tabs
- add an option to the filter dialog to skip / add folders to the filter
- add an option in Preferences / Modes to set the thumbnails size (adapted from code found
  at https://github.com/escapecode/XFE)
- display GVFS mounts in Mounts list and allow to unmount them
- new Preferences / File List tab that allows to select displayed columns and change their order 

Version 1.49
- new optional folders panel Places tab with Places, Mounts and Bookmarks lists
- remove clear and goto location buttons
- move FXTreeList FOX hack to DirList
- new Xfe window (F3) now honors starting mode preference
- refactor headers code
- some code cleanup (sender, sel and ptr everywhere)

Version 1.48
- update french translation
- update documentation
- new bulk rename dialog with replace, insert / overwrite, change case and remove text actions

Version 1.47
- fixed uninitialized Window in FXApp::dispatchEvent() in foxhacks.cpp (thanks to Walker Thompson)
- set default Xfe, Xfw, Xfi and Xfp window size to 1024 x 768 instead of 800 x 600
- rename some functions in xfeutils.cpp for consistency
- fix a bug with copy/paste on a file in a directory with name like 'mydir (copy)' or 'mydir 'copy 2)', etc.
- fix a regression in Xfw where overwrite and line counts were not updated anymore
- update Debian packaging (do not use cdbs anymore) 
- change some icon names for consistency
- fix wrong justification for key bindings list and for search file list
- rename Keybindings to KeyBindings for consistency 
- the suffix added to a file copy in the same folder can now be changed and added before or after the file extension
- fix multiple selected directories with drag and drop on the directory list
- fix hack of FXTreeList::removeItems() that was introduced in version 1.32.3 because it causes a bug
  with cut/paste in the directory list
- Xfe, Xfw, Xfi and Xfq windows now have a minimum size (to avoid invisible windows on Window Managers like Mutter)
- make UI controls look more modern (flatter look)
- remove optional standard (Windows 95 like) controls
- set a brighter default base color at first start
- remove Human theme
- prevent popup menus to cover a bottom panel with a maximum height of 48 pixels
- allow lookup strings to be used in static combo boxes (like user or group lists)
- changed buffer copy size from 32k to 1M
- in copy/move file operations, show the size of the data to be copied/moved at the beginning of the progress dialog
- in copy/move file operations, show the percentage of total copied/moved data in the progress dialog instead of the
  individual files data, and show the remaining time and copy/move speed
- fix folder not deselected after a drag and drop on the directory list
- fix too big progress bar height
- fix misuse of snprintf()
- add pyx file type for Cython source
- allow filtering folders in file panel
- update czech translation (thanks to David Vachulka <archdvx@dxsolutions.org>)
- fix compilation warnings in gcc13 with -Woverloaded-virtual (rename File::move() to File::fmove())
- fix dialog size issues with Mutter Window Manager in Gnome 46 (dialogs have to be stretchable only otherwise they
  could have zero size in Mutter)
- improve View/Edit multiple files for text files with different extensions
- update french translation
- fix line numbers not visible when Xfw is launched without document

Version 1.46.2 (released 09/06/2024)
- remove dependency to intltool (patch from Đoàn Trần Công Danh <congdanhqx@gmail.com>)
- fix "Search files and folders" window doesn't honor the "Use trash can for file deletion" (bug #285)
- fix Xfe crash when run / open / filter history size is exceeded, and set new maximum history size to 128 items
- fix folder not deselected after a drag'n drop operation on it in the file list

Version 1.46.1 (released 02/03/2024)
- fix wrong type of pkg_format and single_click variables in FilePanel.cpp, SearchPanel.cpp and Preferences.cpp
- add ui and glade file types
- rename file types "Gzipped Tar" to "Gzip Archive" (and others) for consistency
- add support for RAR archive format creation (extraction was already supported)
- add support for Zstd archive format creation and extraction (zst and tar.zst)

Version 1.46 (released 03/01/2024)
- use SVG icons in desktop launchers
- fix cursor move down with F4 for edit (bug #258)
- update german translation (Joachim Wiedorn <joodebian@joonet.de>)
- replace default programs xpdf and mplayer with atril and parole
- add JavaScript, JSON, YAML and TOML file associations
- rename strlcpy() to strlcpy_() to fix an issue with glibc >= 2.38 (bug #278) 
- fix opening/viewing/editing files from search results list (bug #271)
- a link to a directory now has a specific icon
- move Copy name menu item to Copy/Cut/Paste menu items group
- fix regressions in Xfw (bug #275) and Xfi
- fix Xfe crash when pressing Ctrl-L (bug #274)
- fix unzip still not working in FreeBSD (bug #236, patch updated)
- fix crash when file type icon does not exist (regression introduced in Xfe 1.44) (bug #268) 
- set default scrollbar width to 12
- fix nfs file system recognition
- fix some typos in help.h and README files

Version 1.45 (released 30/12/2022)
- show a rotating cursor in search dialog
- update build scripts to autoconf 2.71 and automake 1.16.5 (for Ubuntu 22.04)
- remove the intl directory and allow to build Xfe with external gettext 
- fix problem of wrong panel sizes when switching from vertical to horizontal panels
- beautified code using uncrustify
- add a new root authentication mode using pkexec (to use it, the pkexec package must be installed on the system)
  and also add the associated policy file org.xfe.root.policy
- fix the problem of opening too many windows when selected items have different associations (bug #254)
- add a timeout parameter for mount point not responding mechanism
- fix the mechanism that detects mount points that are not responding
- add cifs to file system mounts that are checked for up / down state
- fix the problem that links to executable text file are executed when the "Don't execute text files" option
  is enabled (bug #264)
- select image in XFileImage (xfi) file list when opening an image file (bug #262)
- fix the failing 'make check' (bug #257) 
- update xferc.in with .json and .policy file types
- fix imprecise error message when attempting to create a folder and a file/folder with the same name already exists 
- add Dark color theme
- add new menu item "Copy name(s)" (shortcut Ctrl-Shift-N) to allow copying file names (without path) to clipboard
- remove deprecated register directive
- update brazilian portuguese translation (thanks to Vinicius <megaphantomx@hotmail.com>)
- update russian translation (thanks to Bogdan V. Kilin <bkilin@ya.ru>)
- update czech translation (thanks to David Vachulka <arch_dvx@users.sourceforge.net>
- fix a regression that broke the "Save as" operation in Xfw  
- try to show Xfe window later to avoid black transient window 
- disable the hassubdir() function because it is too slow on network drives

Version 1.44 (released 14/03/2021)
- fix segmentation fault when Xfe can't find the default xferc (bug #255)
- remove CDE color theme and renamed GNOME2 and KDE3 color themes to GNOME and KDE
- refresh default, gnome, kde and xfce icon themes and remove old tango, windows, xfe and gnomeblue icon themes
- switched arrange by row and arranged by columns in icon lists
- enter target directory in root mode, when invoked from an error message 
- update Gnome icons for LibreOffice / OpenOffice documents
- fix loss of data in full disk partition with xfw (bug #245)
- fix copy/paste between xfe windows requires source window to be open (bug #247)
- fix wrong position of the '(copy)' suffix when a folder name contains a dot
- fix root mode not working in FreeBSD (bug #237)
- fix unzip not working in FreeBSD (bug #236)
- fix window & icon title wrong when path contains hidden directory (bug #243)
- update Catalan translation (thanks to Pere Orga <pere@orga.cat>)
- update Turkish translation (thanks to yaşar çiv <yasarciv67@gmail.com>)
- fix a compilation warning with gcc 8 in Properties.cpp
- set focus to main window when closing command window, help or search dialog
- update documentation to add instructions for HiDPI support
- change the hand cursor to a more modern shape 
- implement HiDPI support and add the Edit / Preferences / Appearance / DPI option that allows to manually set
  the screen resolution. For a Ultra HD monitor (4K), a value of 200 - 240 dpi should be fine
- rename Edit / Preferences / Themes to Edit / Preferences / Appearance
- vertically centered toolbar buttons in Xfe, Xfi, Xfp and Xfw
- execution of text files (e.g. script shells) do not support startup notification
- implement custom sudo/su commands
- fix the wrong number of selected files/folders in file panels
- add an option to prevent the execution of text files
- it is now possible to open/view multiple files in single click mode
- fix the middle mouson button view command in single click mode
- change st terminal name to "Xfe"
- upgrade st terminal to version 0.8.2

Version 1.43.2 (released 8/06/2019)
- remove some duplicate lines of code
- add the number of files and folders to the panel status bar
- update greek translation (thanks to Nikos Papadopoulos <nikos769@yahoo.gr>)
- when launched from a terminal, Xfe is now interruptible using Ctrl-C (thanks to Lars Lindqvist <lars.lindqvist@posteo.se>)

Version 1.43.1
- fix a regression that corrupted the initial search window content
- change 'KB' to the more correct 'kB'

Version 1.43
- update russian translation (thanks to Bogdan V. Kilin <bkilin@ya.ru>)
- fix ugly transient window drawing when starting Xfe on older hardware
- the scrollbar size can now be change in the Preferences dialog
- fix wrong icon when file names are equal to an extension name (bug #221)
- fix missing FXURL::encode() in DirList.cpp (bug #228)
- fix bug #233 in "Open with" and "Run" dialog history (patch from klappnase).
- fix a screen corruption problem in XFileExplorer.cpp and in WriteWindow.cpp. This problem appears when using
  the nouveau driver for nvidia graphic cards (NB : repaint and disable commented out)
- update spanish translation (thanks to jcsl <trcs@gmx.com>)
- applied several patches (#7, #9, #21, #22, #23 and #25) from Debian (thanks to Joachim Wiedorn <ad_debian@joonet.de>)
- applied patch #34 for freetype detection (thanks to polynomial-C)
- fix a compilation warning in WriteWindow.cpp
- update libsn to current version (0.12)

Version 1.42.1
- fix a Valgrind complaint about uninitialized values when allocating an icon
- the location string in the Properties / General tab is now selectable
- better mini folder open icon for Gnome icon theme
- in drag'n drop mode, display the destination folder name as selected
- sort scripts with directory entries first
- fix suffix position when creating a copy of a dot file
- update german translation (thanks to Joachim Wiedorn <joodebian@joonet.de>)
- new finnish translation (thanks to Kimmo Siira <kimmo.siira@gmail.com>)
- fix a possible data loss when moving files between two file systems and an error has occurred (bug #224) 

Version 1.42 (released 27/07/2016)
- the input dialogs with history are now alphabetically sorted. The number of visible inputs is set to 8 (feature
  request #202, thanks to klappnase for his patch)
- gray / green focus icons in panels are now clickable buttons (feature request #204) 
- fix a problem with the exec path (bug #217)
- fix a regression where panel width percentages were incorrectly set to two digit precision. Indeed, three
  digits are required otherwise the panel widths are not correctly retained
- fix some typos in File.cpp
- fix a resource leak in startupnotification.cpp (runcmd function). The display is now properly closed
- add custom mount / unmount commands in the Programs tab of the Preferences dialog
- fix bugs in the Properties dialog when displaying the size and number of subfolders
- fix a regression that prevented to refresh the panels after a file operation in the Properties dialog
- replace the internal Xvt terminal used for root mode with st, another tiny terminal that supports UTF-8. This allows
  to fix bug #214 and to use the text font selected by the user in the Preferences dialog. As a side effect, Xft (and
  fontconfig) support is required in the FOX library. The configure.ac file was change accordingly to reflect this new
  requirement
- fix a wrong return code in the quit command of XFilePackage 
- fix a regression in the save dialog of xfw (bug #211)
- patch for OpenBSD build and fix for hurd and kfreebsd on Debian (thanks to joowie)
- fix failed build on Mac OS X (bug #210)
- fix failed build with --disable-n (bug #209)

Version 1.41 (released 28/11/2015)
- avoid exiting Xfe when an X error is detected (fixes bug #779163 in Debian)
- with single file selection, overwrite dialogs now only show Yes and Cancel options
- when renaming a file, allow to overwrite destination if source and destination are both files
- fix a crash in SearchPanel when deleting files with thumbnails on
- implemented a du (disk usage) command. This allows to get the sorted total sizes of selected items and compare them.
  The associated menu voice is "Compare sizes" in the FilePanel or SearchPanel context menu and is enabled when at least
  two files or folders are selected
- it is now possible to open multiple Properties dialogs on different file selections
- add an optional confirmation dialog for the change property action and also add the related option to the
  Preferences dialog
- the Properties dialog now uses a separate process to compute the total directory size
- fix a crash in SearchPanel (caused by a wrong ICONLIST_MASK in IconList.cpp)
- fix a refresh problem with the second panel, in two panels mode
- remove brown, blue and XFCE icon themes
- remove iMac and Windows 95 color themes
- fix a regression in CommandWindow that didn't capture error messages any more
- improve the font dialog appearance when using the ClearLooks controls
- remove the bottom separator from each dialog for a more modern appearance
- fix the key bindings dialog appearance when no shortcut has been defined
- fix the rename file (F2) and create new file (Ctrl-N) wrong shortcuts in xferc.in
- the progress bar frame now has the ClearLooks style
- fix search panel list style, dirs first and ignore case parameters that were not retained 
- add a close button to the title bar of all dialogs
- add missing icons to some file operation dialogs
- reorganization of the menu order in xfe, xfi and xfw to be more consistent with common practice
- fix a regression where it was not possible anymore to copy / paste text in a text field
- the new folder, new file and rename dialogs now forbid names that include the character '/'. This prevents creating
  files or folder in other directories and seems safer than the previous approach 
- fix OpenBSD build (bug #206)
- update czsech translation (thanks to David Vachulka <arch_dvx@users.sourceforge.net>)
- fix incorrect selection mode in XFileImage
- the menu key now has the same function as the Ctrl-Shift-N0 key, i.e. it opens the popup menu on a file list
- code source cleanup
- fix the placement of file error messages
- fix key navigation in the icon list. Now pressing a letter key only selects an item, whatever the mouse cursor
  position
- fix a regression in IconList, where it was not possible anymore to select a file in a file dialog
- fix a small regression with the arrow cursor in the FXMenuTitle hack

Version 1.40.1 (released 11/08/2015)
- fix archive extensions like tar.gz, tar.bz2, tar.xz that were uncorrectly displayed as gz, bz2 and xz in file lists
- apply fixes from Coverity analysis
- fix bug #181 (USB drive requires manual refresh on re-mount)
- fix a bug in the PathLinker where a path such as /test was incorrectly found as being a part of a path like
  /home/test/temp 
- fix bug #204 (Can't overwrite folders ). The rename command now forbids renaming files or directories to a
  destination that already exists
- set focus on the cancel button in some confirmation dialogs
- when pressing the return key on a multiple selection of files and directories, the files are now opened and the
  directories are ignored
- fix missing suffixes when creating directory copies from copy / paste operation
- fix the user and group combo box sizes in the Properties dialog
- fix wrong icon size in xferc for aac and flac types
- fix wrong if test in onCmdPopupMenu() for FilePanel.cpp and SearchPanel.cpp (Coverity)
- fix the path linker button text when the directory name contains '&' characters
- implemented natural sorting in DirList
- fix natural file sorting in compare_locale() and compare_nolocale() (bug #203)
- update spanish translation (thanks to jcsl <trcs@gmx.com>)
- fix a bash-ism in configure.ac (bug #200)
- fix Ctrl-C, Ctrl-V, Ctrl-X and Ctrl-A shortcuts that didn't work in text fields with caps lock enabled 
- in the search window, pressing the Return key does not launch another search when the panel has the focus
- fix a problem where data count is wrongly reset when moving files between different file systems
- update hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- fix a freeze problem with the uim input method and change the way input methods are detected. We now use the
  XMODIFIERS environment variable. This works well with ibus, uim and fcitx input methods. There remains a problem
  where composed characters don't work with the SCIM input method, can't find why
- fix a compilation problem in non Linux systems (cmd variable not declared in main.cpp, bug #198)

Version 1.40 (released 11/01/2015)
- update german translation (thanks to Joo Martin <joodebian@joonet.de>)
- update czsech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- update greek translation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>
- fix data loss when moving or renaming right protected files between different file systems (bug #195)
- fix the archive name when creating an archive from / path
- fix the width of the progress dialog with long file names
- fix a size problem with the OverwriteBox dialog
- fix a bug with Ctrl-C / Ctrl-V on a selected directory 
- fix a bug that made the file size accounted twice when moving files to a different file system
- disable search button when the search dialog is open
- in SearchWindow, the results label is now positioned on the same line as the stop / start buttons
- fix a memory leak introduced in version 1.39 with natural file sorting
- checked that non member functions that are not needed outside the module in which they are defined are declared static
- fix the color of the alternate text in the progress bar, when the default theme is used
- now the copied / moved data size is displayed below the progress bar for copy / move operations
- update the documentation (README, xfe man page and help.h)
- at the command line, Xfe can now handle file or directory names (and URIs) and launch the associated applications to
  open the given files. The first two directories are displayed in the file panels, the others are ignored. The number
  of files to open is not limited
- add setlocale() command to xvt internal terminal
- fix a display problem in XFilePackage that occured when the package file is big
- add a new "Modes" tab to the Preferences dialog because otherwise it is too high
- add an option in the Preferences dialog to start Xfe in the home directory, in the current directory or in the last
  visited directory. Starting Xfe in given directories at the command line takes precedence over these options
- source and target size / modify time are now correctly aligned in OverwriteBox 
- avoid warning about mount points not responding when the user has no permissions on some parent directory
- replace swriter, simpress, scalc, sdraw, sbase and smath with lowriter, loimpress, localc, lodraw, lobase and lomath,
  since LibreOffice is the default of most Linux distributions these days 
- default programs (text viewer / editor, image viewer / editor, pdf viewer, audio player, video player and archiver)
  are now identified in xferc as <txtviewer>, <txteditor>, <imgviewer>, <imgeditor>, <pdfviewer>, <audiolayer>,
  <videoplayer>, and <archiver>. Thus, when new file associations are add to the system xferc, there is no consequence
  for the user even if he has change his default programs. Compatibility with previous version of Xfe is also ensured
  through an internal mechanism (to be remove in the future)
- fix a bug with the overwrite confirmation dialog: in some cases, the cancel button didn't work correctly
- fix the right panel refresh that did not occur after a file operation on it
- fix the progress bar display when the percentage is equal to 100
- add the ability to copy or cut files from different directories and add them to the clipboard using Shift-Ctrl-C
  or Shift-Ctrl-X (by default) and to paste them all in a common place using Ctrl-V. To avoid possible problems,
  this mechanism is disabled if the user has redefined his key bindings for copy / cut and these use the Shift key
- refurbished the mechanism used to limit the length of message lines and avoid too large message windows
- update the help and README files
- fix the width of the Properties dialog that could be too large with long file names
- fix a keyboard navigation issue in Xfe (set focus to the file list after some user actions)
- in file lists, pressing the space key now selects the current item even if the mouse pointer is over the first column
- improved keyboard navigation in Xfi
- add a preference in Xfi to allow displaying the file list before the image 
- implement vertical or horizontal stacking for image and file panel in Xfi
- implement vertical or horizontal file panel stacking in Xfe. The directory panel is always vertical
- two floating point digits are sufficient for panel width percentages
- remove the XFileView application (Xfv) because it can be replace with Xfw using the read only mode (xfw -r)
- add an option to start Xfw as read only (xfw --read-only, or xfw -r)

Version 1.39
- search ignoring case is now the default in XFileWrite
- add flac and torrent associations
- add the trash size to the empty trash confirmation dialog
- fix a regression introduced in version 1.38 when displaying a message box
- implemented natural sort order for file lists (thanks to Vladimir Támara Patiño, Martin Pool and others)
- fix a regression introduced in version 1.38 when fixing bug #187
- search results are now displayed faster when the number of items is huge
- only display the wait cursor in file / search lists when refresh is forced
- fix the flickering problem that occurred on the search panel toolbar buttons
- avoid sorting again the search list when nothing has change
- message texts are now displayed on three lines with a scrollbar if they are too long
- fix a problem when searching within folders with a lot of sub-directories and thus a long path lenght
- in the Properties dialog, the path location is now displayed on several lines if it is too long
- the maximum number of path links is reduced from 1000 to 128 because this has a strong impact on the startup time. But,
  Xfe does not crash if there are more than 128 sub-directories
- fix the drag copy operation when the destination has the same name: we now add a (copy) suffix like with the paste
  command
- fix a bug in File.cpp that occurred when trying to move a directory on a directory with the same name  
- all "operation cancelled" messages are now warnings instead of errors
- association icons are now displayed in the Properties / Permission tab

Version 1.38
- fix a typo in fr.po (xfe --help message)
- Xfe window is now shown a little bit earlier than before
- add two new search options: no recursive, and don't search in other file systems (request #1852)
- fix a bug with copy to / move to / symlink to in search panel: now an absolute path is required
- fix copy to / move to / symlink to in double panel mode when using relative paths (bug #187)
- add epub, fb2 and orb file associations for eBook support with fbreader as the default application
- all file associations that are in the global xferc but not in the local xferc are copied to the local xferc. This
  allows to automatically add the new file types introduced into the global xferc
- remove #ifdef FOX_THREAD_SAFE in FileList.cpp and DirList.cpp because they were never used
- fix a problem with the XrandR extension support in foxhack.cpp. Added stuff for this in configure.ac
- some code cleanup in main.cpp, XFileView.cpp, XFileWrite.cpp, XFileImage.cpp and XFilePackage.cpp (we now use a new
  function getcommandOutput() instead of inline code)
- fix some issues when detecting the package format used by the system (Linux only)
- fix the bug in Ubuntu where character input was not possible if iBus was running. The way it is fix is a dirty hack
  but it seems to work well now (bug #193)
- fix exec lines in xfi, xfp, xfv and xfw desktop files (Debian patch)
- applied patches to the embedded xvt terminal (patches from Debian, thanks to Joachim Wiedorn <ad_debian@joonet.de>)
- we now use a decimal basis for counting KBytes, MBytes and GBytes. This is what most file managers use
- add the ability to create copies of a file with Ctrl-C / Ctrl-V. The copied file names have the suffix (copy),
  (copy 2), (copy 3), etc. (request #189)
- fix the error dialog that was displayed several times when attempting to paste files with the same name
- fix the paste command that did not work when one or several files were selected
- fix a typo in the french translation of XFileImage.cpp
- fix a problem in CommandWindow, where the object was not deleted after closing the window (bug #197)
- add a Compare menu voice to the FilePanel and SearchPanel context menus. An external file comparator program can
  also be defined in the Preferences dialog. Default key binding is set to F8. It is possible to compare two files
  from the same file list or one file from the file list and another selected through a file selection dialog
- fix the 'ftheader.h not found' problem when doing ./configure in Ubuntu 14.x and derivatives (bug #192).
  Thanks to J. G. Miller
- fix warning messages with automake 1.14 
- set focus to the search file text field when opening the search window and select characters (bug #186)

Version 1.37 (released 24/11/2013)
- fix the search window to allow search directory name to contain spaces
- fix a bug in DirList.cpp and FileList.cpp where on some Linux distribution a message 'Mount point not responding'
  is wrongly issued with gvfs mounts
- update spanish and argentinian spanish translations (thanks to Martín Carr <tincarr@gmail.com>)
- update italian translation (thanks to Giorgio Moscardi <software@sukkology.net>)
- now the file lists are ordered according to the locale. Thanks to Vladimir Támara Patiño for his nice patch.
- update czsech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- update greek translation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)
- script dir entries are now sorted alphabetically. Empty directories are no more shown
- when searching with thumbnails on, the images are now displayed at the end of the search. This is more user friendly
- replace the right arrow with the normal one when pointing on menu items
- avoid showing hidden directories in the script menu
- fix failing script execution when the script path contains spaces
- some code cleanup ('pathname' variable name instead of 'filepath', for consistency), remove unused focus in and
  focus out callbacks in SearchWindow.cpp
- change the way hidden files are handled in the search panel, because the old way did not work well. Now, there is 
  simply a checkbox to let the user select if he wants to search within hidden files or not. The status bar of the
  search panel still has the thumbnails icon
- fix a freeze with thumbnails on and loading pipes
- fix some file list refresh problems when thumbnails are displayed
- fix wait cursor not displayed in file and search lists
- thumbnails are now displayed one by one in file lists. This is more user friendly than displaying them all at once 
- applied patches from Debian (thanks to Joachim Wiedorn <ad_debian@joonet.de>)
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>
- update swedish translation (thanks to Anders F Björklund <afb@users.sourceforge.net>)
- update german translation (thanks to Joachim Wiedorn <ad_debian@joonet.de>)
- update french translation
- fix a compilation issue in SearchPanel.cpp when Xfe is configured without startup notification
- fix a compilation warning on some systems in screen.c
- search pattern now allows to search from text without the '*' character
- fix the look of the disabled clearlooks buttons in the search panel toolbar
- fix an occasional crash in the search window

Version 1.36
- all ClearLooks hacks are now stored in a separate clearlooks.cpp file
- radio buttons now have the ClearLooks appearance
- menu titles now have the ClearLooks appearance
- add a Go to scripts folder menu item to the Scripts menu item in search window
- add an option to warn the user when setting the current folder in search window
- add a Go to parent folder menu item to the search window
- in search panel, disable toolbar buttons when nothing is selected
- check buttons now have the ClearLooks appearance
- fix the way child processes are killed in CommandWindow and SearchWindow. Now, the whole group is killed
  and there is no more zombie processes
- fix the wrong color of the button corners with ClearLooks controls
- code cleanup (use types FXlong, FXulong, FXuint, FXuchar for 32 and 64 bits architecture)
- disable the UI buttons while searching files
- fix the stop button that didn't work correctly
- make search list continuously scroll down while searching
- fix a bug when reading file names from the results of the find command  
- let the FileDialog in SELECT_FILE_DIRECTORY mode display also link to directories (fix in FileList.cpp)
- patched ttyinit.c for FreeBSD according to bug #176
- fix some compiler warnings on Ubuntu 13.04
- update the documentation to reflect the new search feature
- add some search options: size, date, permissions, users, groups, empty files
- fix some glitches with the search panel
- fix a compilation bug under non Linux systems (bug #185) 
- implemented the context menu functions in search panel
- set the initial search path to the panel current directory
- fix drag and drop from the search window
- port the search dialog (version from 1.33-devel) to the actual Xfe 

Version 1.35 (released 22/08/2013)
- change the default keyboard shortcut for Rename to F2, and for New file to Ctrl-N
- update the documentation to add a paragraph that explains the script functionality
- for consistency, use the word "folder" instead of "directory" everywhere in the application, 
- add a Scripts menu to the file panel right click context menu. This allows the user to execute shell scripts
  on the selected files and folders, just like in Nautilus. The location of the script directory is ~/.config/xfe/scripts
- add spanish colombian translation (thanks to Vladimir Támara Patiño <vtamara@pasosdeJesus.org>)
- fix a bug where copy / paste didn't replace a folder, but creates a subfolder (bug #183) 
- increase the maximum number of path links to 1000 and the maximum path length to 4096. This has no impact
  on performances and allows Xfe to better resist to very deep path trees (bug #184)
- fix keyboard shortcuts like Del or Shift-Del that didn't work when when CapsLock is on (bug #178)
- now use -Wall for release compilation and thus fix a lot of compilation warnings
- fix BSD compilation errors (thanks to Vladimir Támara Patiño and Pietro Cerruti))
- fix a crash that occurred when selecting the last file of a file panel (bug #179)
- replace many sprintf() calls with snprintf() (thanks to Vladimir Támara Patiño)
- update swedish translation (thanks to Ingemar Karlsson <ingemar@ingk.se>)
- update greek translation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)

Version 1.34 (released 11/02/2013)
- date format is now the same everywhere (and can be selected from the Preferences dialog)
- it is now possible to specify two start directories at the command line in Xfe. This can be combined with the --panels
  option to select the panel view mode. If no panel view mode is selected and two start directories are specified, then
  the two panels mode is selected by default
- add a Clearlooks theme and modify the Human and Sea Sky themes
- scrollbar color can now be change
- fix wrong bordercolor in foxhacks.cpp
- default audio and video apps are now audacious and mplayer
- a middle click on selected files now opens the associated file viewer
- when selecting file name in the symlink dialog, don't select the path
- when selecting file name in the rename dialog, don't select the (last) file extension
- add --as-needed to LDFLAGS in debian/rules
- fix a typo in help.h (patch from Joo)
- add POTFILES.skip to the po directory (patch from Joo)
- for xvt inside of xfe there is the need to configure xvt depending of the kernel. Adding some code for using with 
  variants of the hurd system to ttyinit.c (patch from Joo)
- set xpm application icons size to 48x48 instead of 32x32 (bug #3571058)
- get rid of the unuseful Confirm Quit option
- apply patch from gentoo maintainers that adds --enable-minimalflags (respect system flags as much as possible)
  to the configure script (bug #3598473)
- fix a bug in FXURL::encode() that prevented to paste files with a '%' character in their name (bug #3603196)
- remove the sfx script, because it seems that nearly nobody uses it
- now, when a directory is selected in file panel, paste send files in clipboard to it. And it is no more allowed
  to paste files when a single file (but not a directory) or several files / directories are selected in the file
  panel (bugs #3568004 and #3484709)
- keyboard shortcuts now work when Caps Lock is on (bug #3568005)
- Groupbox now have rounded corners when Clearlooks controls are used
- Xfe main window has now a simpler, nicer layout
- fix several regressions in the dir history buttons and history lists
- make last visited directory visible in FileList to avoid scrolling again to visit it
- now the file and directory lists are not refreshed anymore when Xfe is minimized

Version 1.33.1
- when only one file / folder is selected, display its name in the delete / move to trash dialog
- code cleanup (int, long, FXlong, FXulong types)
- the execution confirmation dialog is now only displayed with executable text files
- fix the timestamp that was badly generated in the startup notification process. Now firefox can be launched without
  UI problems
- fix a problem where the current directory was not correctly set when executing a file from a panel
- fix a typo in main.cpp ('--panel' instead of '--panels')
- the three viewers xfv, xfp and xfi can now be closed with the Escape key (and still with the Ctrl-Q shortcut of course)
- let xfe -pn (n=1,2, or 3) work to select the panel mode (thanks to miven)
- simplified the FilePanel status bar information when only one file is selected (thanks to miven)
- fix a type cast in ttyinit.c
- add support for tbz archives (another name for tbz2 or tar.bz2)
- select the file name when renaming files, this allows to start typing right away without deleting previous file name
- update brazilian portuguese translation (thanks to Vinícius Moreira de Oliveira <megaphantomx@bol.com.br>
- update czsech translation (thanks to David Vachulka <david@konstrukce-cad.com>)

Version 1.33 (released 08/08/2012)
- update xferc file
- add an optional confirmation dialog when opening (or double clicking on) executable files
- add an option to the Preferences dialog to allow settting the date / time format for file and directory lists 
- fix a copy / cut problem when files are on different file systems
- add dutch translation (thanks to Hans Strijards <hannesworst@gmail.com>)
- add an option to the Preferences / Dialogs tab to allow bypassing a warning message display when date preservation fails
- fix missing translations in FilePanel.cpp and DirPanel.cpp

Version 1.32.5 (released 06/04/2012)
- update the help dialog and the README file
- fix a bug with drag and drop, when dropping a directory to another directory with the same name
- fix duplicated shortcuts in the Bookmarks menu. Now, when more than 9 bookmarks are used, the new ones have shortcuts
  based on letters like a, b, c, etc.
- fix two missing shortcuts in polish translation
- replace all occurrences of PLACEMENT_SCREEN with PLACEMENT_OWNER, because the former can cause problems on multiple
  display machines
- set focus to the active panel when invoking a bookmark action
- add a confirm dialog to the clear bookmark menu item
- fix wrong icons in copy to, move to, link to and rename dialogs
- fix ld problem for ubuntu, which uses --as-needed by default (thanks to Joo for the patch). The patch replaces the
  $LDFLAGS variable with $LIBS in configure.ac
- fix wrong mimetypes in desktop files (thanks to Joo)
- update xferc.in file
- add support for xz (and tar.xz) archive format, and remove rar, lzh and arj archive creation because they are
  rarely used on Unix systems. However, extraction of these archive formats is still possible, of course
- fix a crash in XFilePackage due to an inexistent tooltip string
- update greek translation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)

Version 1.32.4 (released 24/05/2011)
- add new file types and icons for common font types
- update spanish and argentinian spanish translations (Martin Carr et al.) 
- add icons for Scilab file type (.sci and .sce)
- fix the duplicated new file icon in the File menu
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>
- replace playmidi with timidity in file associations
- fix a memory leak in DirList

Version 1.32.3 (released 22/03/2011)
- fix a regression related to the copy/paste problem between xfe and nautilus 2.30.1. This regression occurred because
  of the suppression of the last \n at the end of the clipboard string, thus breaking the mechanism used to retrieve
  each line of the clipboard. Now the problem is fix.
- fix missing strings in the german translation (thanks to Joo <ad_debian@joonet.de>)
- update the documentation by adding some clarifications about the startup notification process
- fix an issue in configure.ac to allow compiling xfe with gcc 4.5.x
- renamed configure.in to configure.ac
- fix several issues with drag and drop within, from and to the DirList. Now, DirList and FileList paths should
  be consistent. Also, when removing a directory outside xfe, the application should correctly update the DirList
- now, xfe honors $XDG_DATA_HOME and $XDG_CONFIG_HOME for local Trash and local config paths
- fix a compilation issue when the fox library was not compiled with Xft
- change the way compilation flags are handled in the configure process. Now, if CXXFLAGS and CFLAGS are defined
  by the user, they are used. If not, then compilation options are defined according to the options passed to
  the configure script.
- fix a drag and drop problem between dolphin or konqueror and xfe
- fix a copy/paste problem between xfe and nautilus 2.30.1 (the file list had an \n at the end that prevented copy/paste
  from xfe to nautilus to work properly)
- fix a typo in XFilePackage.cpp
- replace oowriter, oodraw, etc. with the more conservative commands swriter, sdraw, etc. in xferc.in
- fix a nasty bug that occurred when trying to move a directory into itself or into one of its sub-directories
- update german translation (thanks to Jens Körner <jens@kleinflintbek.net>)
- add h++ and hpp file types to xferc.in
- update polish translation (thanks to Franciszek Janowski <nobange@poczta.onet.pl>)
- change the menu category of the Xfe application in xfe.desktop.in 
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>

Version 1.32.2 (released 20/09/2010)
- rename the EditWindow class to WriteWindow, for consistency
- fix the position of repeated error messages displayed during file operations : now the message windows should not
  move each time the user selects OK
- fix the way error messages are handled when something goes wrong in the copy / move /delete file operations
- fix the display of the deletion date, that was incorrectly set to one hour and one month in the future
- add a message to warn the user (at the first launch) of an old Xfe version about the new configuration file location
- the '~' character can now be used again in the 'Open with' dialog
- don't display the panel active icon in one panel mode, because it is not relevant
- remove double error messages when trying to copy / move / rename a file over itself 
- created symbolic links now have a path that is relative to the refered file  
- fix the double error message in xfp that was displayed when the file format is unknown. Also add a wait cursor
  that is useful when the package size is huge
- fix a problem that occurred when testing the result of the pclose() system call, because of the harvest zombie
  mechanism which intercepts any terminated child process. This caused a bug in xfp (when opening a package)
  and xfe (when querying a package). Also fix the query package mechanism, to be more clever when a file does not
  belong to any package
- add document icons for Scribus (sla or slc extension) 
- fix a bug in the "open with" history, where the last item was remove whenever a command was run. Also increased
  all history sizes to 30 instead of 20.
- remove a confirmation dialog when removing / trashing a symlink on a directory
- fix a bug when copying / moving directories to a directory with the same name(ex : /A/1/file1, /A/1/file2 to /B/1, etc.)
  This should work as expected now.
- fix a crash that occurred when dragging a folder in big icon view (thanks to Sarkar Anjishnu for discovering and
  reporting this bug). The bug was introduced in version 1.22...
- fix a scrolling problem in the tree list when dragging a file onto it (thanks to Mathis Dirksen-Thedens for discovering
  this bug) 
- fix a crash in Properties dialog that occurred when the df command comes from busybox instead of coreutils 
- remove the encoding key in desktop files. According to Joo Martin (Debian maintainer) it is now deprecated
  by the FreeDesktop standard. All strings are required to be encoded in UTF-8 inside desktop files.
- update german translation (thanks to Joo <ad_debian@joonet.de>)
- add some new filetypes to xferc.in (thanks again to Joo)
- applied patch from Joachim Wiedorn (Debian maintainer) that allows to compile Xfe with kfreebsd and hurd kernels (thanks
  to you Joo!)
- new translation to chinese (Taiwan), thanks to Wei-Lun Chao <chaoweilun@gmail.com>
- fix a compilation problem with gcc 4.4.x Now the inline functions statrep() and lstatrep() are declared in xfeutils.h
- update russian translation (thanks to vad vad <vadbuntu@gmail.com>)
- new translation to bosnian (thanks to Pr. Samir Ribi and his students Bajrami Emran, Balagija Jasmina, Bilalovi
  and Omar Cogo Emir)
- fix the problem of the initial window position with window managers like icewm, openbox, etc.

Version 1.32.1 (released 12/11/2009)
- .sh and .csh files (i.e. shell scripts) are executed when double clicking on them, if they are executable
- add support of ARJ archive format
- for extraction of rar archives, replace the "rar x" command with "unrar x", which is more common on Linux systems
- fix a bug that prevented to display the "+" sign correctly for some versions of the readdir() system function where
  the . and .. directories are not listed first
- fix a bug that prevented to display the "+" sign correctly in a directory list, when the file system type does not
  support dirent.d_type (e.g. reiserfs)
- fix a bug in File::mount() where an empty error message was displayed each time a file system was mounted or unmounted
- fix a crash bug related to FilePanel::onUpdPkgQuery() when selecting files in some cases
- update swedish translation (thanks to Anders F Björklund <afb@algonet.se>)
- fix a problem when dragging a file over a symlink folder in a file panel. After dragging, the symlink icon was
  incorrectly set to the folder icon.  This bug was already in version 1.19.2. 
- update hungarian translation (thanks to Sipos Sándor <sipos.sandor@iconet.hu>)
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx at bol.com.br>
- fix a potential problem in the startup_completed() function to avoid exiting Xfe when XOpenDisplay() fails.
  This situation arises in some Linux distros (Mandriva 2009, Opensuse 11, Fedora 10) when suing the root mode. I couldn't
  find the origin of the problem, which is not present on Debian Lenny, Ubuntu Jaunty, Fedora 11. 

Version 1.32 (released 19/10/2009)
- modify script sfx.sh to add uninstalling of xpm icons
- modify script makesfx.sh to add stripping of binaries
- fix a typo in the Makefile.am that prevented man files to be installed
- add xpm icons to be compliant with the Debian Policy. Also change the debian/menu file for the same purpose.
- fix the size of the su button in MessageBox.cpp
- add CFLAGS configuration to configure.in
- add a mechanism to prevent zombie processes when forking
- remove the xfvt executable and integrated it in the code. This avoids a mostly unused executable into the Xfe package.

Version 1.31
- fix a segfault when viewing the Properties of an archive file
- fix a bug that prevented the folder history list to be update when clicking on a tree item
- fix a bug in the folder history list : when the refresh button was clicked, the root directory was erroneously
  add to the folder history list
- update spanish translation (thanks to Félix Medrano Sanz <xukosky@yahoo.es>)
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>
- update greek trabslation (thanks to Nikos Papadopoulos <231036448@freemail.gr>)
- update german translation (thanks to Joo Martin <ad_debian@joonet.de>)
- update the Xfe man page to add the directory URI capability
- add a tiny terminal program xfvt (~55 KB, based on Xvt 2.1, by John Bovey) that is used in the root mode
  authentication. This allows Xfe to be independent from the terminal program installed on the system. Also used nohup
  to allow closing the terminal without destroying the Xfe window!

Version 1.30
- fix the error message displayed in root mode when the terminal program is not found 
- fix an issue with the gvfs file system when Xfe is launched as root. For now, I choosed to disable the detection
  of this file system, but I must investigate about gvfs to understand what really causes the problem.
- fix a problem in Makefile.am that prevented performing several 'make dist' one after the other
- fix the file type in FileList.cpp when the file is a symbolic link that refers to a file with no association
- several fixes in Properties.cpp related to startup notification
- add a local option to the Properties dialog to disable startup notification for a given executable file
- add a global option to the Preferences dialog to disable startup notification. This only affects the way
  applications are started from within Xfe. Note that, even if the option is disabled, xfe, xfi, xfv, xfp and xfw
  still indicate they have started to the window manager (provided that xfe was not compiled with the --disable-sn
  configure option).
- add greek localization (thanks to Nikos Papadopoulos)
- fix some typos in strings
- shell scripts can be executed again. It was not a good idea to avoid their execution in Xfe...

Version 1.29
- in startup notification error reporting, we ignore errors related to X_SetInputFocus
- when a SMB mount is performed when xfe is open, the smb hard disk icon is now correctly shown
- when making a file panel active, we also want the directory panel point on the same directory
- in message dialogs, the su button must not be displayed when the root mode is disallowed
- fix problems when reporting system errors using errno
- fix the sfx.sh.in script to correctly handle desktop files
- some changes in Makefile.am to better handle po files and other config and script files
- many changes in configure.in due to the use of intltool
- internationalization of desktop files using intltool

Version 1.28
- in FilePanel, display the "Open with" dialog box when a command is not found
- add an option to disallow root mode (can be useful if xfe is deployed in a company, where root access is not allowed)
- made a conditional compilation in src/Makefile.am, relatively to the startup notification compilation option
- fix malformed URIs when dragging files to another application. The correct form is for example file:///home/test/...
- add an option to confirm trash operations. We now distinguish trash confirmation from delete confirmation.
- fix problems with file operation shortcuts when DirPanel is active
- fix a serious memory leak in XFileImage
- in copy file operations, the progress window is now stretchable
- when --disable-sn is used in configure, desktop files now have StartupNotify=false
- fix a bug in the location bar that in some cases displayed a malformed directory path instead of the correct one
- the location bar can now open directories specified as URIs, like file:///home/test
- now Xfe can open at the command line directories specified as URIs, like file:///home/test
- add the forgotten xfeutils.cpp file to POTFILES.in
- fix a bug in positioning the xfv window (the position() function must be called *before* the FXMainWindow::create()
  function). Thanks to Joo Martin for discovering this bug.
- fix the allowTooltip variable that was not initialized in IconList.cpp
- implemented a startup notification using version 0.9 of the libstartup-notification-1.0. Added a compilation option
  --disable-sn that allows to disable the use of the startup notification

Version 1.27
- fix a compilation problem when the FOX library is compiled without the --with-xft configure option (thanks to
  Claudio Fontana)
- update hungarian trasnlation (thanks to Sandor Sipos)
- fix a missing TAB in EditWindow.cpp (thanks to David Vachulka)
- update swedish translation (thanks to Anders F Bjorklund)
- fix some bugs in the file path sent by the Properties dialog to the chown and chmod functions 
- change the way permissions are handled in the Properties dialog : now symbolink links are ignored when trying to change
  their permissions. However, it is possible to change their owner but the link are not followed. I also add special 
  permissions (suid, sgid and sticky) with a warning message for the user about possible unsafe behaviour.
- fix a possible crash when the current directory contains no item (this could arise in some situations where the user
  does not have read access on the directory he is working in)
- set focus on the panels when selecting/deselcting files with Ctrl-A, Ctrl-I, etc.
- fix a bug in Pathlinker, when navigating through directories where one name is used as the begining of an another
  name (ex: test and test1) 
- fix a problem with truncated strings in the Properties dialog
- now the Properties dialog is displayed before that the recursive size is computed
- the wait cursor is no more useful
- update the help.h file and the associated french translation
- add file size and modification time to the overwrite dialogs
- trashed hidden files and directories are always shown in the trash can
- update the README and the help.h files
- when copying and moving files/folder to the trash can (at the trash base location), also create the trash info file.
- when deleting, moving or renaming files/folders from the trash can (at the trash base location), also delete the trash
  info file. But don't delete it if the file is located in a subdirectory in the trash can. 
- add a key binding for the View action (default is Shift-F4)
- change the confirm empty directory dialog inn FilePanel to use the same ConfirmOverwrite dialog as elsewhere
- fix a segfault in Properties.cpp when performing a chmod or a chown on a file without permissions : the file object
  was deleted too soon
- add a cancel button to the ConfirmOverwriteDialog
- fix the progress dialog that annoyingly appeared behind dialog boxes when a file operation is interrupted
- fix a bug when updating the file panel context menu : the rename menu was not grayed out with multiple file selection 
- fix several memory leaks due to the use of strdup() without corresponding free() 

Version 1.26
- fix the cancel action in the Keybindings dialog : now, cancellation works as expected
- add the total number of files and number of subfolders to the Properties dialog when the selection contains directories
- changing permission or owner of a broken link is now done silently (no more annoying error message) 
- fix the phantom trash menu when the trash can system is disabled
- fix a problem with the wait cursor that was not displayed over the file list in some cases
- modify the trash can system to be more compliant with the Freedesktop standards. Now Xfe creates the info files where
  the original path and the deletion date are stored and displays the original path and deletion date in the file list
  and in the file tooltip.
- fix a problem with static variables in several classes
- moving files to the trash can now creates the .trashinfo files, as required by the freedesktop standards

Version 1.25
- add a Keybindings tab to the Preferences dialog that allows the user to interactively modify the key bindings 
- fix a FOX bug in parseAccel() that prevented key bindings like Ctrl-F10 to be correctly interpreted
- add the _ICONLIST_STANDARD icon list type to distinguish between file lists, serach lists and standard lists
- fix a bug in Preferences.cpp related to the show_mount_prev variable that was not correctly initialized.
- add the onCmdHeaderClicked callback to the IconList. This is to allow the target object to get the message
  that the user has clicked on a header button.

Version 1.24
- fix a problem when trying to create the new config directory or the new trash location if the parent folder does not
  exist. To fix this, I add the mkpath() that creates the parent directrories if necessary.
- fix a non initialized variable (smoothscroll) in XFileImage
- fix a crash of XFilePackage, when opening a package. Since I remove in version 1.22 the icon->create() instruction
  from icons.cpp I had to add similar instructions to the XFilePackage::create() function. This works, but I don't
  clearly understand the origin of the problem.
- change the location of the Xfe config files and the trash can. The new locations are .config/xfe for config files
  and .local/share/Trash/files for trashed files. These are compliant with the Free Desktop standards. Note that
  at the moment, Xfe does not use the info files when trashing files.
- remove the "TRASH" string from trashed file names. This string is indeed not really necessary.
- fix error dialog when copying files on a Windows disk and trying to preserve dates
- fix some untranslated strings in File.cpp
- fix the file filter history and made it retained when quitting Xfe
- add a button to the FilePanel status bar for the file filter command
- display the file filter string in red (and add this color as an attention color to the color theme)
- french translation update
- the copyright string is now in xfedefs.h
- start the work on configurable key bindings for all apps
- add a Shift-Tab keyboard shortcut to cycle through the panels in reverse order. Note it is only useful in tree and 
  two panels mode
- enable again the keyboard shortcuts on the DirPanel because now we have a way to know which panel is active. Thus it
  is no more confusing to use shortcuts everywhere

Version 1.23
- now shell scripts cannot be executed but are edited or viewed in all cases. This prevent to launch scripts by mistake.
- fix a problem where in some cases files could have an association but no file type
- fix a problem when navigating through the main menu using the keyboard : in one panel and tree panel modes, the 
  right panel menu appeared as a "phantom" menu. Now it's fix. 
- fix a problem when cancelling a drag and drop operation: the operation is now globally stopped as it should be
- avoid refreshing the directory size when when performing lenghty file operation (copy/move/delete, etc.) on a large
  number of files
- some code optimization to improve performances when xfe lists files in a big FileList
- improve xfe startup time by reducing the number of calls to FileList::listItems() to 2 instead of 6!
- add a tooltip text for the active icon of each panel
- when the path linker is not displayed (selected from the Preferences dialog), display a path text instead in every file list
- stop refreshing the file list when performing lenghty file operation on a large number of files. This prevent flickering
  and speeds up a bit the file operation
- fix a severe performance issue when pasting a long list of files. This was because of the \r character at the end of 
  the uri strings that I remove from clipboard string to be compliant with nautilus. I completely remove the \r character
  and tested copy/paste/dnd operations with nautilus, konqueror, thunar, dolphin, krusader, rox and pcmanfm. Everything seems
  OK now.
- now Xfe tests if folders have sub-folders or not and displays the tree list accordingly

Version 1.22
- all mounted file systems (including proc, sys, dev) now have the proper icon. Removeable media also have the
  file system icon and can be unmounted by the user if he has the correct permissions.
- fix the CXXFLAGS that was unappropriately cleared before compiling
- fix a compilation bug with gcc 4.4 (strstr now returns a constant char* instead of a char*)
- fix the terminal command string for root mode. This string must be included within quotes for some terminals
  to work as expected
- add a Ctrl-l shortcut to clear the location bar and allow to directly enter text into the text field
- fix a memory leak related to the run and open ComboBox history
- change the clipboard content when copying file names from Xfe to a text application. Now, the full pathes of all the 
  selected files are pasted, as it seems to be the standard behaviour

Version 1.21
- add an option to let Xfi list only known image types
- saving the window position when quitting an application is now optional. This is to be more consistent with the
  default behaviour of modern applications and window managers
- fix the confirmation message when deleting non empty folder. Added a Yes for All button to the message box.
- replace "foreground color" with "text color" in the Preferences dialog, because it is more informative
- fix some focus problems on the file list when clicking on an already checked toolbar button (or activating the button
  using a shortcut)
- now in MessageBox, we can justify text and place icon as desired  
- the type-to-jump-to-filename feature now can be case insensitive, and is now coherent with the file list sort order
- in panel cycling, made the selected item always visible when focus shifts to a panel
- add desktop files to start Xfe and the related tools from the desktop menu
- add translator names to the Xfe about menu
- add a led icon to the panels that helps to distinguish which panel has the focus. Removed the old gray out
  mechanism
- fix the file list background color, because it was wrongly obtained from the main background color 
- fix a serious performance issue with xfv and xfw when opening large files. This was due to the isutf8()
  function which was very badly coded (shame on me)
- limited the scrollbar button size to barsize*2 instead of barsize/2
- some polish of the main windows
- customise gui control hilite and shadow colors for better looking themes
- add the rounded gradient capability (Clearlooks) to scrollbars, comboboxes, progress bars and arrow buttons
- add the ability to overwrite existing directories during copy operation even when they are not empty

Version 1.20
- disable the root mode menus when Xfe is already launched as root
- fix the refresh bug in the DirList, when dragging a directory at a level up
- change the file permissions to rw when copying from a CDROM or a DVDROM (Linux only)
- fix a FOX issue in the FileList, where in row mode the scrolling was vertically instead of horizontally
- fix a FOX issue that prevented composed characters to be input when the mouse pointer is not within the text field
- fix a FOX issue in FXTextField that crashed some input dialogs when FOX was compiled with the --with-xim option
- fix a FOX issue in FXComposeContext that prevented any character to be input when FOX was compiled
  with the --with-xim option (to get support for composed characters) 
- add support for OOXML documents in xferc (thanks to Joo Martin <ad_debian@joonet.de>)
- update german translation (thanks to Joo Martin <ad_debian@joonet.de>)
- fix the "Jumping Jack Xfe" bug in DirPanel and PathLinker classes
- some code cleanup in FilePanel : add the dirpanel variable to the constructor to gain access to the
  DirPanel class
- 7zip archives are now handled by the standard 7z program. This also allows to decompress 7zip archives
  without deleting the archive file
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- update swedish translation (thanks to Anders F Björklund <afb@algonet.se>)
- update japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 

Version 1.19.2 (released 01-08-2008)
- change default archiver program from file-roller to xarchiver, change default PDF viewer from acroread to xpdf,
  and change default PS viewer from evince to gv. These new defaults are more conservative and desktop independent.
- add support for 7zip archive format (need the p7zip external program)
- fix some issues in the german translation
- update hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- some code cleanup (remove of unused variables)
- fix a bug that prevented the panel "dirs first" option to be retained 
- fix a problem with the default cursor when switching to double click mode (thanks to Cal Peake <cp@absolutedigital.net>)
- update spanish translation (thanks to Xuko Sky <xukosky@yahoo.es>)
- update japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 

Version 1.19.1 (released 03-07-2008)
- when right clicking in an empty place in the directory tree, display the panel context menu
- fix the normal color of Xfv, Xfw, Xfi and Xfp when they are started for the first time before Xfe. 
- workaround for a bug on Openbox window manager that caused Xfe and other applications to start at the first time
  with a hidden window bar. Now, we simply start at (50,50 instead of (0,0). Perhaps, an Openbox or FOX bug? 
- fix a bug that prevented to rename a file or directory using the Properties dialog
- fix a bug with the path linker that caused a continuous refresh of Xfe and then a high CPU usage
- add a new menu item to the file list to autosize icon names in icon view.
- DirPanel options are now persistent and are stored in the DIR PANEL section of the registry 
- fix the shortcut of the trash menu
- remove most of the friend classes
- also add these new items to the FileDialog and to Xfi 
- add new items to the Panel menu and to the popup menu, to be able to sort on user, group, permissions and deletion
  date
- in detailed mode, fix a problem with column darkening when sorting from the main or popup menu  
- change all occurrences of the "filepath" variable to "pathname", to be more consistent for developments
- improve the way the FileList is periodically refreshed. Now, we don't force anymore a complete refresh every 30 seconds
  as before, except when something really change. This allows Xfe to avoid continuously refreshing the thumbnails.
  which is prohibitive when there are large images. 
- add a FILEDIALOG section the xfe registry in replacement of the "filedialog_*" options.

Version 1.19 (released 11-06-2008)
- fix copy/move operations when dragging files to the tree list : we don't want to change the current directory to
  the target directory (thanks to Mathis Dirksen-Thedens for this tip)
- update swedish translation (thanks to Anders F Björklund <afb@algonet.se>)

Version 1.18 (released 05-06-2008)
- in FileDialog and detailed mode, we also retain the size of each column
- in Xfe, normal and text fonts can now be change at the same time without restarting Xfe after each change
- in Xfi, Xfw, Xfv and Xfp, the OPTIONS section of the configuration files is related to the application specific local
  options. The SETTINGS section is reserved for more general options, like for example FOX options. This is more
  consistent with the convention adopted for Xfe (the main application).
- fix a bug that prevented Xfi to retain its file list mode and its icon arangement 
- the file dialog now saves its state (size, list mode, hidden files, thumbnails, ...) between sessions and applications 
- update japanese translation (thanks to Karl Skewes <karl@garagedori.com>) 
- fix some typos and update accordingly french, italian, brazilian portuguese, hungarian, czech and chinese translations
  (thanks to Claudio Fontana <claudio@gnu.org> for discovering these typos)

Version 1.17
- add the rounded gradient capability to toggle buttons
- fix the problem of GUI updating : now the GUI is only update when the user interacts with the program.
  This significantly saves some CPU.
- fix the path link when hovering over a directory in the file or directory list
- add support for extracting ACE archives (the unace program must be present on the system)
- fix some bugs related to the path linker
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- add support for extracting ace archives
- fix the color of the engaged buttons when using the rounded gradient controls
- in the archive dialog, now typing an archive extension automatically sets the correct archive format 
- add the new path linker to the file dialog and to the file list of Xfi. Removed the old DirBox from the file dialog.

Version 1.16
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- fix the search and replace dialogs in Xfw, because there was problems with the rounded gradient theme
- completely revamp the pathlinker feature. Now we display links as real buttons and we can go anywhere through the
  visited path. Also fix the problem of the right most button used for Panel focus 
- update chinese translation (thanks to li xin <xinliGG@gmail.com>)
- update italian translation (thanks to Claudio Fontana <cladio@gnu.org>)

Version 1.15
- update hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- fix a crash bug that occurred when toggling the thumbnails button and moving to another directory
- fix the gradient button background color when the background color is not the base color

Version 1.14
- update brazilian portuguese translation (thanks to Phantom X <megaphantomx@bol.com.br>)
- fix a big memory leak when displaying thumbnails in the FileList : the X11 pixmap memory was not correctly freed
- change a bit the way the registry directories and files are managed. However, it should be transparent for the end user.
  The vendor key is not used anymore in the registry but it is still used during the application creation to set the WM_CLASS
  window property.
- fix the background color of the line and column numbers in xfv 
- add the TextLabel widget, based on FXTextField. This allows to have a different widget for the file operation dialogs

Version 1.13
- add a rounded rectangle capability to FXTextField 
- add the FOX color theme to the Preferences dialog
- FOX hack to optionally display all buttons with a nice gradient effect and rounded corners (thanks to Sander Jansen
 <sander@knology.net> for the related code)

Version 1.12
- improve the way the FilePanel popup dialog is displayed when using the Ctrl-Shift-N0 keyboard shorcut
- add an option to display or hide the FilePanel path linker
- we now use the .cpp extension for the source files, instead of .cc . This is to be consistent with the FOX library.
- xterm is no more required for the root mode. Now, if xterm is not present on the system, we use the terminal program 
  that is specified in the Preferences dialog. However, xterm is still the default and the user's terminal is only used
  as a fallback. This is because xterm has many options that can be used to nicely format the user dialog.
- update chinese translation (thanks to xinli <xinliGG@gmail.com>)
- fix a small problem in file operation dialogs with the size of the command message. Now, we adjust the message size
  by taking into account the real font size.
- fix a regression in FileDialog where the ICONLIST_AUTOSIZE directive was ignored
- in file dialogs , fix foreground, background and highlight colors in detailed mode
- compiling in debug mode does not set the -O2 flag
- additional review of the french translation. Fix some issues. 
- add new selectable default programs in the Preferences dialog : PDF, audio and video viewers
- remove the wheel lines option in Xfw. It is indeed redundant with the same option in Xfe
- fix the smooth scrolling and wheel lines options in Xfp, Xfv, Xfw and Xfi
- fix a small bug in XFilePackage where the window size was not saved after clicking on the close button
- in the xferc config file, the OPTIONS section is now reserved to xfe specific options. Other options that
  are common to all four applications are now saved under the SETTINGS section of xferc. Nothing change in
  other config files. Note : when reading the xfe registry from Xfv and others, generic FOX options like wheellines,
  selbackcolor, etc., are automatically read from the xferc config file. Specific options like single_click, file_tooltips,
  etc., must be read explicitely.  
- file dialogs now retain their size, mode and also the hidden files and thumbnails state
- work done to have a better consistency between file dialogs and file operations (concerning the file/folder
  selection mode)

Version 1.11
- fix a problem when resizing the size column (the right justified one) in detailed mode
- implemented optional relative resizing of panels and columns in file list detailed mode
- add japanese translation (thanks to Karl Skewes <karl@garagedori.com>)

Version 1.10
- fix the file dialog associated to some file operations (rename, open with, add to arch, etc.).
  Thanks to Karl Skewes <karl@garagedori.com> who discovered these bugs.
- fix problem when renaming the last file of a list to a different directory 
- fix problem when renaming a file or folder located on a mounted volume
- remove DirListBox.cc from POTFILES.in
- fix a problem when opening new windows in XFileView and XFileWrite : now the new window size is the same as the last opened
- fix a regression in the Properties dialog, when multiple files are selected
- fix a bug that occured when resizing the panels using the splitter
- add the reverse order menu item to the main Panel menu. This one was missing for some obscure reason. 
- update hungarian translation (thanks to Sándor Sipos <ss1978@freestart.hu>)
- in FilePanel, don't select the first item (the parent directory) with select all or select inverse
- for consistency purpose, also add a similar panel context menu to the DirPanel. 
- in FilePanel, the panel context menu item is now a submenu. It should be more usable like this.
- new complete KDE icon theme
- new partial tango icon theme
- new partial XFCE icon theme

Version 1.09
- fix a bug that prevented dragging files from Xfe to the ROX filer or desktop
- fix a bug that prevented unmounting removable file systems after executing some copy/move/extract/etc. function
  in Xfe (this was related to the chdir performed before some operations)
- in FilePanel, the starting directory of the extract to command is now set to the home directory
- add an option to avoid displaying tooltips in the FileList or DirList 
- display again some information in the status bar when only one file is selected. This useful when navigating using the keyboard
- allow again file names without extension to have their icon (there is still a problem with file names like zip or cc,
  but I have no solution for them at the moment)
- allow again empty file names in FileDialog (why did I remove this feature in version 1.07?)
- fix a bug when dragging files to the FilePanel : the Pathlinker was not refreshed correctly
- fix a bug when copying/pasting/renaming/symlinking or dragging a directory in the DirList :
  now we correctly display the target directory 

Version 1.08
- add a patch from Tomas Kolousek <kolousek@spscv.cz> that adds an option to force a panel mode from the command line.
  Thanks Tomas!
- add stuff in configure.in to handle the problem of the Xft support in FOX library. One can now compile
  Xfe even if FOX has been compiled without Xft support
- fix a problem when working with filenames that contain characters like ' " $ \ etc.
  (thanks to Glynn Clements <glynnc@users.sourceforge.net>)
- fix a bug with single click in the FileList when horizontally scrolling the list
- disabled the focus file list and dir list refresh mecanism introduced in version 1.06 : it has serious refresh problems
  when the listed files are modify and xfe has not the focus

Version 1.07
- fix a pointer problem in the function isEmptyDir() of File.cc (thanks to Tobias Ulmer)
- single click file and directory open options are now completely independant
- add a new panel context menu item that allows to open the panel context menu. The old control right click
  way is still there.
- disallow empty file names in FileDialog (Note: can't remember why I did this. So I cancel this in version 1.09)
- add error dialogs when nothing is entered in an operation dialog
- fix problems with some error dialogs when errno is not set
- fix the refresh problem of the FileList when moving a dialog upon it (add the isOdd() function to the IconItem
  class, thanks to Alain Ducasse for the tip)

Version 1.06
- when sorting files in the FileList, if option Directories first is checked, then directories are always
  displayed on top of the list. This seems indeed more convenient.
- modify browse input dialog to distinguish between the cases of single and multiple files selections
- add a menu item to create a new symbolic link refering an existing file or directory
- add an option to set the smooth scrolling on/off in the Preferences dialog. This is only valid for file lists.
- add two menu items in the Tools section : one for synchronizing the two panels (i.e. being at the same
  directory in both panels) and the other for switching directories between panels
- fix a bug in the main Makefile.am that prevented 'make distclean' to work properly
- limited the size of the file operation dialog messages when long file names are used
- fix a bug in the Preferences / Programs dialog where the archiver browse dialog was wrongly related to
  the image viewer
- fix problems with the progress dialog and the error dialogs in file copy/move operations
- add an error message in xfi when trying to load a corrupted image file
- fix a crash bug in xfi that occurred when clicking on a non image file after a valid image file had been loaded 
- update the xferc.in configuration file (thanks again to Joo Martin <debian@joomart.de>)
- update again german translation (thanks to Joo Martin <debian@joomart.de>)
- replace file names double quoting with single quoting
- fix a bug in the File::archive() method : an existing target was not correctly detected 
- do a better refresh of the file list : when xfe has not the focus, we don't perform a complete refresh of the file list,
  but only a refresh when files or directories have change. This should save some CPU. (Note: remove later in version 1.08)

Version 1.05
- fix compilation warnings with gcc 4.2 related to string constants
- update german translation (thanks to Joo Martin <debian@joomart.de>)
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- update brazilian translation (thanks to Phantom X <megaphantomx@bol.com.br>)

Version 1.04 (released 04-09-2007)
- change 'pbar' to 'progressbar' and 'pdialog' to 'progressdialog' for legibility in File.cc, FilePanel.cc
  and DirPanel.cc
- update Chinese translation, thanks to Li Xin <xinliGG@gmail.com>
- add the deletion date to the TreeList tooltip, when the directory under mouse is in trash can
- change the way root directory sizes for TreeList and IconList tooltips are computed : the performances
  should be much better now
- remove the Save Settings menu of Xfi because settings are now automatically saved 
- when cancel is pressed in the More Preferences dialog of Xfi, all options are now reset to the previous values
- when cancel is pressed in the Preferences dialog of Xfe, all options are now reset to the previous values

Version 1.03
- fix some strings displayed when selecting icon or program files
- update the README and help.h files
- fix the selection of the icons theme directory in the Preferences dialog
- fix a small regression when selecting directories in FileDialog in Copy to, Move to, Rename, etc.
- some cosmetics in the Theme tab of the Preferences dialog
- change the default icon theme to gnomeblue and also change the default base color to something lighter
- icons files that are the same between different themes are now handled using symbolic links. This avoids wasting
  disk space and is more easy to maintain in the source tree

Version 1.02
- improve the way a directory is selected in FileDialog : in an empty directory, if we hit OK then we get the current
  directory instead of doing nothing
- fix a crash bug in XFileImage, because the numsortheader variable was not initialized in IconList
- when using the directory back, forward and up commands, the focus is keeped on the current tree or file panel 
- in DirList and single click mode, navigating with up and down arrow keys do not expand directories anymore
- in FileList, maintain the folder icon open when displaying the drag and drop menu
- the drag and drop dialog is now optional
- update czech translation (Thanks to David Vachulka <david@konstrukce-cad.com>)
- fix some strings in the french translation
- fix an incorrect string when deleting a non empty directory
- change the buffer size in copy operation from 4096 to 16384 bytes. This slightly improves the performances.
- in DirList, maintain the folder icon open when displaying the drag and drop menu
- fix the open icon of a link folder that was not shown when dragging in DirList
- some cosmetics on the FileList tooltip 
- add more informations to the tooltip displayed when hovering on an item in the DirList
- when scrolling with pgUp and pgDown keys in FileList, the selection now follows the scroll 
- color the sorted column as in many file managers
- add the new class IconList because the corresponding FOX class was too hacked  

Version 1.01
- in single click mode and detailed file list, the hand cursor now only appears when the mouse pointer
  is over the name column
- add an option to confirm the deletion of empty directories
- fix a crash bug when moving the last file of a panel to another place
- fix an issue with the size of the file operation dialogs. Now, the dialog size should be more adjusted to the text.
- now the size and sort function of the file list columns in XFileImage are saved between sessions
- fix some typos in the french translation (accents)
- add an icon to each non modal window
- fix a typo in the french translation
- used addAccel() instead of hidden buttons for some shortcuts
- fix the french translation of the help menu that disapeared 
- remove the "Show hidden folders" menu in the View menu because it is confusing when the tree list is
  not displayed
- fix an issue with the include path in src/Makefile.am (thanks to Antoine Jacoutot)

Version 1.00 (released 16-07-2007)
- adjust the makesfx.sh and sfx.sh scripts to reflect the rename of Xfq and to allow uninstalling the FOX libraries 
- fix a bug that prevented the use of the open command on multiple files
- add Chinese translation, thanks to Li Xin <xinliGG@gmail.com>
- add support for sshfs file system. Normally, this should work now without translating the uids and gids.
- fix another regression in the update status function of the FilePanel class (refered links were no more displayed) 
- fix a regression in the update status function of the FilePanel class (crash when Tab pressed in two panels mode) 
- fix a bug with the associations of file names with capital characters and no extension (in FilePanel.cc and in
  Properties.cc)
- add two default programs to the Preferences menu : image editor and archiver
- made help window to be non modal
- last (or first or new, depending on the file operation) selected item is now enabled after the operation.
  This facilitates keyboard navigation.
- both color and icon themes now can be change at the same time
- add blue and brown icons themes (thanks to Dean Linkous <deanlinkous@inbox.com>)

Version 0.99.8 (pre release)
- fix a problem with the CommandWindow when executing a command that return nothing
- update help and readme files
- change the way that icon themes are selected. This should be more intuitive now.
- add a new "Extract to folder" menu for archive extraction
- fix a crash bug that occurred when displaying properties of a mount point on a crypted filesystem
- renamed XFileQuery to XFilePackage (which is more appropriate) anq Xfq to Xfp
- simplification of the bookmarks menu code in XFileExplorer
- fix a regression in the Preference dialog, where some options that need restart were no more retained
- synchronized file associations between different Xfe instances. However, for icons to be immediately update
  it is necessary to click on the toolbar refresh button.

Version 0.99.7 (pre release)
- fix several bugs in PathLinker that prevented correct display of the path buttons in some cases
- synchronized bookmarks between different Xfe instances
- fix a small bug in DialogBox, where hitting the return key didn't activate the OK button
- add Ctrl-W hotkey to each app. This shortcut closes the window. Replaced the Ctrl-W (Zoom to fit Window) in Xfi with
  Ctrl-F.
- remove the quit buttons in each app. I think it's not necessary.
- fix a bug in the FilePanel : when using the "open with" command, at the second time the wait cursor was always open
- fix drag and drop when dragging into directories in Xfe : the directory where we are dragging from is now displayed after
  the drag menu appears
- add copy/paste scheme to the search / replace dialogs in Xfw. Fix a bug in the search for selected text menu items
- major Xfe code reorganisation : now the file management routines are located in the FilePanel and DirPanel classes.
  Toolbar buttons and main menu items are now relative to the file panels only. The directory panel only uses
  the right click popup menu for his file operations. This is more consistent whith the way other file managers
  operate.  

Version 0.99.6 (pre release)
- add a file browse icon to the open with and execute command dialogs
- better consistency in the FilePanel status
- add more informations to the tooltip displayed when hovering on an item in the FileList
- now, when nothing is selected in the file panels, the delete menus, buttons and keys are disabled. However, the
  user can still delete a directory in the tree panel by using the right click menu. This avoids possible manipulation
  errors when using the delete keys.
- translation of the help dialog to french, thanks to Claude Leo Mercier for his help (<claude.leo.mercier@gmail.com>)
- split of the main toolbar in two smaller ones. This allows to better display toolbars on a small screen.
- fix a problem when copying broken links
- fix a crash bug in the help dialog
- add an option in PreferencesBox to adjust the mouse scrolling speed and redesigned the Preferences tabs
- toolbars can now be docked on each side of the window
- now enable (not select) parent directory when entering a new directory. This improves usability when
  browsing using the keyboard. Thanks to hudsucker <hudsucker@users.sourceforge.net> for the patch.
- add a context menu to the FileList in XFileImage
- add the ability to copy/paste text between most dialogs in all applications

Version 0.99.5 (pre release)
- add swedish translation (Anders Björklund <afb@users.sourceforge.net>)
- add the ability to copy/paste file names between the FileList (or DirList) and dialogs.
  I have chosen to only keep the first file name of the clipboard contents.
- in root mode, obtain the correct background and foreground xterm colors
- I realized that the directory size in detail panel mode is not useful, so I remove it

Version 0.99.4 (pre release)
- add the ability to use sudo instead of su for the root mode. This allows Ubuntu users to use the root mode, and
  sudo is more versatile than su.
- FOX hack to display non UTF-8 file names (e.g. 8 bits) correctly. A warning message is displayed in file dialogs
  when the file name is not in UTF-8. It is possible to copy/move/rename files with non UTF-8 file names but string
  manipulation into the text field is ugly. This is due to the fact that FOX 1.6.x don't directly support anymore
  8 bits strings.  

Version 0.99.3 (pre release)
- fix a problem when testing if the distribution used in Debian based. I tested the presence of "apt-get" but
  it seems more appropriate to test the existence of "dpkg" on the system
- fix a bug in xfv : the position and size of the window were not saved when closing the program using the
  cross icon on the window
- replace the create archive dialog with a (hopefully) more intuitive one
- replace the DirlistBox with a FileDialog (more powerful) when extracting archives
- add the ability to browse files for selecting destination in file operations
- now supports symlink on a multiple selection
- fix the F5 shortcut which is now attributed to "copy to" like in most file commanders
- add Brazilian Portuguese translation (thanks to Jose Carlos Medeiros <jcnascimento@gmail.com>)
- add a popup menu to select the drag type (copy, move, link or cancel) when dragging file(s) to Xfe

Version 0.99.2 (pre release)
- add the ability to click on the panel title to set the focus on it
- fix an issue when opening a new Xfe window : the starting directory was not always the home directory
  as it should be
- add clipboard support to Xfe : we can now copy/cut/paste from and to Nautilus (Gnome Desktop), Konqueror
  (KDE desktop) and Thunar (XFCE desktop). Copying and pasting from and to any file manager that uses the standard
  text/uri-list type should also work.

Version 0.99.1 (pre release)
- fix a problem with Matlab file icons in xferc.in
- update and fix the french translation
- reintroduced the filter indication in FilePanel. It was lost since the introduction of the path link widget. 
- fix a bug in Xfw, Xfv and Xfq where black lines were displayed as highlight color in FileDialog
- update czsech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- add a copy menu / toolbar button to XFileView. This allows to copy text between xfv and any other editor.

Version 0.99 (released 12-03-2007)
- fix missing su dialogs when trying to create a new file or folder in FilePanel and DirPanel
- update to gettext 0.16.1
- add the image size (in pixels) to the XFileImage window title
- upgraded configure system to automake 1.9
- add an option to XFileImage to allow fitting the image to the window when opening
- change the reverse order button in dir panel, it is now a check button
- re-introduced the reverse order option in the file panels, because it is necessary in icon modes
- add an option in the file panels that allow to sort file and directories without separating them
- fix a bug when trying to enter a read only directory in FileDialog and XFileImage
- the registry was not update in some cases in the Preferences dialog
- change the cursor to a hand when browsing using a single click
- add options to allow single click file and directory open in FilePanel, FileDialog and XFileImage
- file copy operations now keep the original date of the input files or directory (although it is not the default in the Unix /bin/cp
  command, it is the default in many file managers, and it is more useful from the user point of view)
- fix a crash bug when creating a link to the / directory
- fix typos in cleanPath() and filePath()
- fix a small typo in Preferences.h
- fix a bug that prevented settings to be retained on Mac OS X (and other systems?)
- update czech translation (thanks to David Vachulka <david@konstrukce-cad.com>)
- update deutsch translation (thanks to Joo Martin <debian@joomart.de>)

Version 0.98.2 (released 20-02-2007)
- add stuff to create a self extracting package. The user can type sh xfe-0.99-i386.sh to install Xfe to /usr/local
- add a Windows icon theme
- converted ru.po to UTF-8
- fix a crash bug whith the FileDialog when associating a program to a file (the StringList pointers were not
  defined because setDirectory() was not called)
- fix a bug with the progress bar when copying files of size > 4GB. The percentage was not correctly displayed.
- remove the statout() and lstatout() functions that were too slow on a computer with a lot of NFS or Samba mount
  points. They are replace by statrep() and lstatrep() that are faster.
  The timeout for down mount points is now 30 seconds (this is the default timeout of stat() and lstat() on Linux systems),
  and the mtab is checked every 5 seconds. Up and down mount points are now refreshed every 5 minutes.
  This change should make Xfe more responsive in the general case, but less reponsive when some mount points are not
  respondind. This is the tradeoff...
- replace exit() by _exit() in every fork child

Version 0.98.1 (released 13-02-2007)
- I realized that xfe could not be installed by a non root user because of the /etc/xfe/xferc configuration file
  location. So I decided to move this file to $prefix/share/xfe/xferc which can easily be customized by a user
  that wants to install xfe in a non system place.
- fix a bug in pkgInstall() that prevented packages to be installed when xfe is started from a directory which
  is not the same as the package directory
- converted most of po files to UTF-8
- avoid zombies by using system() instead of execl() in the runcmd() function
- add the forgotten pclose() in main.cc and XFileQuery.cc that produced a sh zombie
- fix a bug with diacritic symbols when the locale is not set to UTF-8 (thanks to David Vachulka <david@konstrukce-cad.com
  for the tip)
- fix a serious bug that occurred when copying files on a location where some of these files already exist : no error
  message must be displayed in this case and the copy operation must not stop! 
- fix a serious crash bug when link directories have trailing '/' in their name
- fix some mistakes in the README and help.cc files

Version 0.98 (released 09-02-2007)
- remove the mount and unmount icons from the toolbars to allow people that work on 800x600 resolution to see all
  the toolbar icons
- new icons for xfe, xfi, xfw, xfv and xfq
- fix the RPM spec file for Fedora Core 6
- fix error messages when copying multiple files on a full device
- thumbnails are now displayed based on the file extension and not on the file type (which could be wrong)
- fix some (but not all!) problems with refresh when the Filelist uses highlight bars, especially when returning
  from the Properties dialog
- fix problems with the file type of broken links 
- change the way links are handled in Xfe. Now the size shown in the Filelist is the size of the link
  and not the size of the refered link
- update the menus shortcuts
- update the help dialog and the README file
- add the runcmd function to simulate a startup time when executing a file
- reorganized menus and toolbar
- add a root mode in menu and toolbar, and in permission denied dialogs
- fix a crash bug when clicking on the Properties toolbar icon
- fix a problem with file operation dialogs when the message is on two lines
- add an Xfce theme
- add a Gnomeblue theme 
- add a Gnome theme 
- add an icon theming feature

Version 0.97
- add the path linker feature (thanks to Julian Mitchell <jupeos@gmail.com> for this improvement)
- add a recent files list to xfv
- xfw and xfv can now manage 50 windows instead of 20
- fix a bug in XFileWrite where the window menu didn't show the active window (this was related to the
  keyboard scrolling on popup menus)
- in the FilePanel context menu, it is now possible to edit and view multiple files
- xfw and xfv can now open multiple files from the file dialog box
- xfv is now able to view multiple files

Version 0.96
- fix a bug where mount point /dev/.static/dev is not responding (however, not an xfe bug!)
- fix a bug in the toolbar big/mini/details icons not properly shown
- update OpenOffice.org and MS Office file types
- fix a translation bug : the CommandWindow class was not translated
- add an XFCE4 color theme
- made the file list highlight color a standard part of color themes
- some cosmetics in XFileQuery
- fix a crash bug in XFileQuery due to icons that were not correctly created. Added icon->create() to loadiconfile
  in icons.cc and to createData in FileDict
- fix a bug in XFileImage when loading an unsupported image file
- implementation of the back and forward history in the FileDialog
- implementation of the back and forward history in the FileList
- some code cleanup in classes FileList and DirList

Version 0.95
- fix a bug where the WaitCursor was not closed in some cases
- fix a bug with FXTextField when displaying the InputDialog : now the dialog should have the correct width.
- change the way the open command is handled. Now multiple files having the same association are handled simultaneously.
  It thus should be easier to queue files in xmms, for example.
- add a Trash menu to reduce the file menu. When the trash is not used, the trash menu is not shown
- add enable-release and enable-debug to configure options
- small hack to the FXTextField class to allow to copy/paste with the mouse on the file operation dialog
- some cosmetics on the Properties dialog and on the XFileWrite preferences menus
- fix a bug in the status bar of the Filepanel when displaying the usr, grp and size of the file

Version 0.94
- fix a bug in the FileList with drag and drop
- allowed sorting by file permissions
- add a Go to trash button and menu item
- add a deletion date column when displaying the files in the trash can. This allows to sort against the deletion date.
- change the way the deleted files are tagged
- add a working print command to xfi
- icons are now loaded from the disk at the application start. This allows the user to easily change the default icons. 

Version 0.93
- add a working print command to xfv and xfw
- add version number on the about dialog of xfq, xfv, xfw, xfi
- add an extension column to the Filelist. It is useful for sorting files based on the file extension

Version 0.92
- update the help text and the man files
- add a new app : X File Write, a simple text editor, derived from the FOX text editor Adie, however much simpler
  It is used as the default editor for Xfe.
- some cosmetics in the Preferences dialog
- fix a bug in the Properties / File association dialog that prevented to change the icons for tar.gz and tar.bz2 file types
- fix a bug in the Properties / File association dialog where all files were uncorrectly found as archives  
- the default editor, text viewer and image viewer now can be change in the Preferences menu

Version 0.91
- remove the static linking option (not compatible with the configuration changes)
- update the README and help files
- change the trash location to ~/.xfe/trash
- change the config file names to xferc, xfirc, xfqrc and xfvrc
- change the filetype icons directory to /usr/share/xfe/icons
- change the config directories to /etc/xfe (global) and ~/.xfe/config (local) 

Version 0.90
- fix the static linking issue
- fix a compilation warning (dereferencing type-punned pointer...)
- add a small hack of the FXPopup class that allows to navigate with the keyboard in context menus (right click)
- fix the problem of the '^H' when dealing with rar archives
- change the default editor from nedit to xedit (default for XWindow systems)
- hide the redundant location label in one panel and tree panel mode (thanks to a patch by Anders F. Björklund)
- add support for Debian packages in Xfe and Xfq (thanks to a patch by Anders F. Björklund)
- for Linux systems, add the ability to unmount (as root) file systems that are only listed in /etc/mtabs
- fix a bug that prevented to mount/unmount file systems with spaces in their name
- cosmetic change on the overwrite box : change the buttons position to be consistent with others
- add an optional command that allows to bypass the trashcan for permanent file deletion
- add a Ubuntu Human color theme (thanks to a patch by Anders F. Björklund)

Version 0.89
- slight modification of the suffix of the deleted file to improve legibility
- add a drag corner to the applications (Xfe, Xfv, Xfi and Xfq)
- in the permission dialog, when the recursive mode is selected, add the ability to select between 
 "File and folders" or "Folders only" or "Files only" 
- fix a problem when displaying the file permissions in the file list. The FOX function FXSystem::modeString()
  seems to be not compatible with the standard st_mode format 
- port to FOX 1.6.0
- fix a small typo in the German translation

Version 0.88 (released 02-07-2006)
- now the global Desktop file is copied to the local registry ~/.foxrc/XFileExplorer/XFe at the first launch of Xfe 
 (or if the file doesn't exist). This allows the user to easily edit the Xfe file to suit its needs.
- improved the performances on Linux systems when computing the dirsize (not recursive) of the root ('/')
  directory by avoiding to scan the mount points (could be time consuming on a slow network)
- for archive operations use the directory name as a starting guess for the archive file name
- remove a lot of global variables (global options)
- add two new color options (foreground / background) for the file and dir lists in the Preferences/Colors dialog.
  The foreground (font) color and the bacground color of the file and dir panels can now be set independantly of
  the global interface

Version 0.87
- temporarily disabled the print menus in XFileView and XFileImage because they were not implemented at all!
- when dragging files from a read-only directory, converted the move action to copy (useful when dragging files
  from a cdrom for example, thanks to pechkov for the tip)
- major update of the Desktop file (now only uses lower case file extensions)
- add more file associations and icons (OpenOffice, StarOffice, etc.) Thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>!
- add a specific icon for broken links and fix a small bug relative to the status bar in FilePanel
- add russian translation (thanks to Dmitij Lebed <dimaz.sertolovo@gmail.com>
- add danish translation (thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>)
- fix a problem when creating a file or a folder with Xfe : umask was not respected. Thanks to marvin6161
  <marvin6161@users.sourceforge.net> for providing a patch
- fix a segfault when right clicking in the DirPanel on a mount point with permission 700
  Thanks to marvin6161 <marvin6161@users.sourceforge.net> for providing a patch
- fix a segfault that sometimes occured when dragging a file to the directory list
- fix a problem with supplementary groups not taken into account (thanks to Armin Buehler 
  <abuehler@users.sourceforge.net> for providing a patch)
- update to gettext 0.14.5
- fix some problems with executable file names like zip, cc, etc. Now, they should be handled correctly
- now there is no more difference between upper case and lower case file extension
- set the big icons and mini icons views in ICONLIST_AUTOSIZE mode to avoid file names truncation
- update Italian translation (thanks to Claudio Fontana <sick_soul@yahoo.it>)

Version 0.86
- add norvegian translation (thanks to Vidar Jon Bauge <vidarjon@tiscali.dk>)
- add a waitpid call in statout(), lstatout() and mt_lstat() to avoid zombies processes
- the directory size is now periodically refreshed instead of update every FOX event. This allows Xfe
  to be more responsive.  
- renamed function dirpath() into pathsize() in File.cc
- add the possibility to cycle through the three panels when the right panel is shown
- restored the "one panel" and "tree and two panels modes" since some people find it useful

Version 0.85
- fix a problem when archiving directories with escape characters in their name
  (thanks to Luc.Habert@ens.fr for discovering and patching this bug)
- fix a bug in checkTimeout() and remove the test on now.tv_sec
- add .wri and .dpatch extensions to Desktop.in
- fix compilation on amd64 platforms with gcc-4.0 (patch from Andreas Jochens)
- add the "New window" menu item to allow starting a new Xfe session from the actual window
- set the KDE and GNOME themes more actual and renamed them to GNOME2 and KDE3
- replace the mini file manager icon with a better one (thanks to antonix  <anto1945@infinito.it>)
- replace the zip file icons with better ones (thanks to antonix  <anto1945@infinito.it>)
- fix problems with the German translation (broken shortcuts)

Version 0.84 (released 06-27-2005)
- fix a bug when dragging files from Gnome (or other desktops?) to Xfe. The number of files
  was incorrectly set to n+1 instead of n.
- fix a small regression that occured when trying to copy or move a directory to a place
  where a directory with the same name already exists
- simplify the source tree to reduce the compilation time

Version 0.83
- modify the layout of the permissions tab to be more intuitive (first permissions,
  then owner, and finally command)
- add button "Owner only" in the permissions tab to allow chown only operations
- fix a bug in chmod and chown operations when trying to recursively change permissions
  on a single folder
- new Debian package icon
- when multiple files are selected, the default for Properties/Permissions dialog is now "Set marked".
  This is more consistent with the single selected file case.
- update xfe.spec.in to reflect FOX 1.4.x support
- change executable files icon
- add Windows EXE icon
- add Ctrl-W shortcut to the Quit button
- change the font in Help window to text font (improve readability)
- change delete and empty trash icons, for consistency
- fix a problem when moving a file and that file already exists : only one overwrite dialog
  should appear. Fix the File::move() function in the File class.
- update the README and help.cc files
- implementation of the trash can for file delete operations
- fix a small bug in exists() function that prevented broken links to be deleted 

Version 0.82
- add an API ::stampname() to prepare file deletion to trash can
- in FilePanel, deselect the '..' item when the popup menu is displayed
- revisited the refresh strategy : file operations should be faster now!
- revisited the problem of moving files between different file systems : now a progress bar
  is correctly set up in this case
- add support for drag and link operations (binded to ctrl + shift + mouse left button)
- fix the panel and dirpanel navigation with the keyboard. It is now possible to cycle the
  panels with the Tab key and select any file or folder (with FOX >= 1.4.16)
- replace all occurrences of access() with isWritable() isLWritable and isReadExecutable().
  This is to use our statout() and lstatout() functions with timeout on Linux systems.
- add or update the following translations : pt_PT (Miguel Santinho), de (Tim Benke),
  es (Martín Carr), hu (SZERVAC Attila). Thanks to these people!
- now uses the identical() function to test if source is identical to target. This allows
  the test to also work on case insensitive filesystems (thanks to Bastian Kleineidam) 
- replace all ocurrences of ::exists(dequote()) with ::exists() because of problems with
  file names such as 't\\\est'
- fix the WM_CLASS name. It is now set to "XFileExplorer" and it is also the vendor name.
  Now, Xfe configuration files are located in the .foxrc/XFileExplorer directory
- add an option to display or not the mount/umount success messages (thanks to pechkov)
- replace all occurrences of strcmp() with streq() (thanks to Francesco Abbate)
- a manual refresh now triggers an update of the mtdevices and updevices lists
- fix a bug in File.cc when renaming or moving a file on a FAT partition : if source and destination
  file names were the sames (on case insensitive file systems), the file was deleted
- fix a bug in FilePanel.cc in onUpdMount and onUpdUnMount functions. The mount and unmount
  buttons were not grayed out in the correct way
- fix a bug in File.cc in function dirsize that caused directory listing of / to be
  very long
- now Xfe warns at startup about mount points that are not responding
- speed up file listing when we are in a smb or nfs mount

Version 0.81
- fix bug when deleting a link file that refered on a file without write permission
- fix a bug when copying files without permission from a directory to another
- fix the file path in the clipboard when the file or directory to copy is in the root tree
- add a label with path name to the Xfi file list
- fix the directory used when opening files in Xfv, Xfq and Xfi
- replace strcpy() with strlcpy() to avoid possible buffer overflows (thanks to serj@varna.net
  for this tip).
- update the french translation
- some minor changes in the copy to/move/symlink procedures
- fix a crash bug when right clicking on a mounted directory without write access
- add new context menu item in DirPanel "Reverse order" to reverse the directory sort order  
- remove unuseful "expand dir" and "collapse dir" popup menu items in DirPanel 
- refreshed DirList code using FXDirList as a model
- replace sprintf() with snprintf() to avoid possible buffer overflows (thanks to serj@varna.net
  for this tip).
- the main cursor was redefined to be the standard X Window cursor. This
  is now fix.
- add icons and tooltips to the Debian menus

Version 0.80 (Released 04-19-2005)
- add the stuff (in the 'debian' directory) to allow creating a debian package
- completed the four man files
- update french translation
- cleanup of the AddToArch and Extract functions
- add support for RAR and LZH archive format (the rar and lha programs must be present on the system)
- fix the extract menus in FilePanel to only display 'Extract here' with .Z, .gz or .bz2
  compressed files
- remove the absolute path of archive commands because it is not standardized
  on Linux distributions. Now, we assume that archive commands are in the path
- deselect the '..' directory for file operation
- add check and radio buttons to the FilePanel context menu
- more code cleanup in XFileExplorer.cc and FilePanel.cc (more separation between
  the two)

Version 0.79
- fix some keyboard shortcuts in Xfe, Xfi, Xfq and Xfv
- some code reorganization in FilePanel.cc and XFileExplorer.cc
- thumbnails state is now saved in Xfi
- change the way icons are scaled when thumbnails are activated. Now, we don't use
  a tmp file anymore
- fix the mount/unmount menus and buttons. Now, the unmount button is grayed out
  when a filesystem is mounted, and conversely.
- allow to mount/unmount from the FilePanel

Version 0.78
- menu items now are grayed out when only ".." is selected
- add an "Extract here" command for archives to the FilePanel context menu 
- code cleanup in FilePanel.cc (replace some char * with FXString)
- hide the dialog that appeared below the progress bar when moving files between
  different file systems
- fix a problem when dragging the ".." file. Now, no file operation can occur on it
- suppressed the "one panel" and "tree and two panels" modes because they are
  not really useful
- change the toolbar aspect in all apps to exploit new features in FOX 1.4
- port to FOX 1.4

Version 0.77
- new application XFileImage (Xfi) for image viewing

Version 0.76
- fix a bug where directory sizes were not properly displayed in the
  status bar or in the properties dialog for directories with spaces in them (thanks to Cal Peake).
- with display thumbnails, the mini icon is now drawn from the big icon. This is more efficient than
  starting again with the image file (around two times faster for big images).
- change the way display thumbnails is selected.
  Transfered the related code from FileDict to FileList.
- for thumbnails displaying, the default is set to not display thumbnails images
- add some shortcuts to the file selection dialog

Version 0.75
- add more error messages for file operations
- the copy/cut/paste clipboard is now persistent
- now Open and Paste menu are grayed out when unuseful
- add Copy to menu for consistency
- add a property tab for multiple file selection with size, number of files and files type

Version 0.74
- fix the sorting function for file types
- remove the "Console file manager" menu item because it is of no use
- fix a crash bug when changing the default viewer or editor
  (remove the call to clearitems() in FileList::setAssociations)
- fix the number of items in the FileList
- add the locked folder icon in the DirList
- fix a bug when doing chmod or chown in the DirList. Now, it should work properly.
- fix a bug when deleting files, where all the selected files were not always deleted. This bug
  is related to the periodic refresh process, so I have add a variable in FileList to disallow
  periodic refresh when deleting files.

Version 0.73
- fix the placement of the Properties dialog. It is now centered on the screen.
- add --iconic and --maximized command line options
- progress bars are no more floating over parent
- fix the placement of the "Execute command" dialog
- fix a bug in XFileQuery : "MessageBox::create: trying to create window before
  creating owner window."
- Directory '..' now stays on top of the file list, whatever the sort method
- add maximize button to TextWindow and CommandWindow
- now, the extraction dialog can be resized or maximized.
- fix the bug with file association where the command name had an extra letter

Version 0.72 (Released 09-24-2004)
- Root directory is now expanded by default when launching Xfe on it.
- Fix a bug in displaying the file size of very large files (> to 4.3 GB) and in
  sorting the file sizes.
- The maximum bookmarks number is set to 20 instead of 10. A warning message
  is displayed when the limit is reached.
- remove the path in the archive creation dialog, for the same reasons.
- remove the path in the "New file" and "New directory" dialogs because it was not very
  practical with long path names (thanks to Millar Barrie for the suggestion).
- fix a bug with xfq : set the filename to "untitled" instead of NULL when no filename
  is specified
- fix a crash bug when extracting archives (delete problem with DirListBox object)
- add an "Open" command to open a single or multiple selected files. This is useful
  to play mp3 files with xmms for example
- add optional thumbnails preview for BMP, XPM, GIF, TIF, PNG and JPEG image formats.

Version 0.71
- fix a crash when a file name extension is only a dot.
- add Italian translation (thanks to Giorgio Moscardi <enjoy.the.silence@iol.it> and
  Valerio Alliod <valerio.alliod@ieio.vda.it>)
- allow xfe to save the window position on exit and restore the window
  position on start (thanks to R. Boucher <rboucher@users.sourceforge.net>)
- replace SEL_RIGHTBUTTONPRESS with SEL_RIGHTBUTTONRELEASE in FilePanel.cc
  and in DirPanel.cc to fix a bug in the refresh process (this one was hard
  to find!)
- locale adjustment in the spec file (thanks to Andrzej Stypula)
- fix a problem when unmounting a device and Xfe was not releasing the device 
- fix a bug with .gz archives extraction. Now the extraction of tar, gz, bz2, Z, zip
  archives should be correct.
- add of a <signal.h> include to CommandWindow.cc and File.cc (thanks to Andrzej Stypula)
- file permissions adjustment in the spec file (thanks to Andrzej Stypula)

Version 0.70 (Released 07-29-2004)
- fix a bug in DirListBox with the expand/collapse tree commands 
- fix a bug when hiding the status bar : now, the entire bar can be hidden
- fix the date format in the Properties dialog
- Tab key now allows to cycle through the DirPanel and FilePanels
- improved the refresh in DirList that was consuming too much resources
- fix a bug with the file dates in FileList that were no more in local format 
- add a shortcut to Ctrl-Shift-N0 for the right popup menu in FilePanel

Version 0.69
- fix a crash bug with Xfq, when the file to open doesn't exist
- fix a bug in FileList when selecting a file and moving the horizontal scroll bar 
- fix a bug with large filesystems size
- more better handle (I hope...) of NFS and SMB breakdowns
- new icons for floppy, cdrom, zip and nfs drives
- fix a bug when deleting read-only files in read-only sub-directories and 
  a parent directory with write access 

Version 0.68
- port to FOX 1.2!
- adaptation of the code to the new APIs
- some bug fixes
- some cosmetic changes
- add mnemonics to all menus
- now Xfe is more responsive whith broken NFS or SMB mounts!

Version 0.67
- add of the directory path to the window title (thanks to Drayke Naiobrin
  for the initial patch)
- change the way the file names are sorted. Now, upper cases are no more sorted first.
  This is more consistent with other file managers.

Version 0.66 (Released)
- update french translation
- update help window

Version 0.65
- when control + right click is pressed in the FilePanel, all items are deselected
- fix a small regression that occured when pasting a directory in FilePanel and
  no item was selected
- fix a small regression in DirPanel that prevented to unmount a file system
- replace everywhere the word 'directory' with 'folder' for consistency 
- when a filter patter is used, this pattern is now shown in the FilePanel label
- fix a small bug in filter command : the filter pattern was not correctly update
- change the way panel views are handled. Now, there are four views and four icons in the
  toolbar to switch between these views. This should be more intuitive to use and one needs
  only one click to switch from any view to any new one (this was not the case before).

Version 0.64
- fix problems with panels widths to avoid too small panels
- toolbar and menus cleanup and reorganization
- add of buttons to status bars (in DirPanel and FilePanel) to show/hide files or directories.
  Remove of the corresponding toolbar button.
  Remove of the directory path in DirPanel (it is redundant with the active panel's path)
- change the way the context menu is handled in DirPanel : now, right clicking on DirPanel
  also changes the current directory to the selected one (contrary to Windows Explorer)
- fix a small problem in Properties where the 'du' command displayed error messages on the
  console when permission on the directory or file was denied
- fix a bug in DirPanel : the status and directory name were not correctly update after 
  a file operation on the directory list when using the method FilePanel::onCmdFileMan
- fix bug in DirPanel : after a file operation, the modify item was no more visible if
  it was scrolled down (need to add a call to recompute() in method getitem() in DirList)
- fix bugs in DirPanel : deleting a folder in the directory list caused an error message
  to appear ('shell-init: could not get current directory...') in some cases
- fix a crash bug in DirList that occured when successively displaying and hiding
  hidden folders with subfolders 
- the cursor in the 'Add to archive' dialog was not set to the end of the text
- symbolic links (files or folders) now have a specific icon in file and directory lists
- dotdot (..) folders now have a specific icon in file and directory lists
- mount points now have a specific icon in file and directory lists
- remove the DirBox from the toolbar : it was not really useful!
- change CreateData method in FileDict class according to FOX 1.0.48. This should fix a bug
  with association icons in the file list (Thanks to Michael Baron).
- add a Text font, to be used in Terminal window (e.g. as a fix font), and in XFileView
  and XFileQuery
- font menu moved under Preferences menu and OptionsBox class renamed as PreferencesBox

Version 0.63
- remember sorted column in detailed panel view
- in detailed panel view, prevent name size to be too small
- file sizes are now given everywhere in human readable form 
- hacked FXIconList to right justify the file size in the file list
- inverted file size and file type in the file list
- renamed AttributesBox class to PropertiesBox
- revisited general design to be more consistent with other KDE or GNOME or X programs

Version 0.62
- change default wheel scrolling interval : default is now 5 lines and can be change in the
  registry file by modifying the 'wheellines=5' line under the [SETTINGS] section
- clarify confirmation messages for file and folder delete operations
- fix a bug in archive creation : it is no more possible to include the '..' directory in
  an archive!
- fix a bug where it was impossible to create new files and new directories
  with spaces in their name (thanks to Bastian Kleineidam for having detected this bug) 
- add a command window object to manage executed commands, archives, rpm, etc.
  The command window executes commands as child processes and get their output
  asynchronously within the dialog box. 
- upgrade to gettext 0.12.1

Version 0.61
- the time format used in the file list is now based on the locale platform
- add Argentinian Spanish translation (Bruno Gilberto Luciani <soporte@linuxtech.com.ar>)
- add Spanish translation (Lucas 'Basurero' Vieites <lucas@asixinformatica.com>)

Version 0.60 (Released)
- add Catalan translation (muzzol <muzzol@mail.ru>)
- update french translation
- usage message add
- help menu add, with a help window (content of this window needs to be completed)
- modify the execute command to display the command log in a separate window (if necessary)
- modify the rpm upgrade/uninstall commands to display a log window instead of a progress dialog
- modify the extract/archive commands to display a log window instead of a progress dialog
- add error messages for file operations when the file system is full

Version 0.59
- modify the "Confirm Delete" box used when deleting write-protected files. This should be
  more usable now
- add of support for large files (> 2 GB) operations 
- fix a crash bug when linking or renaming a file and the target already exists

Version 0.58
- fix a crash bug when right clicking in the directory panel in a place where there is no item 

Version 0.57
- add support of PNG icons for file icons
- fix transparency problems with most of PNG file icons
- fix a bug in DirPanel that prevented a correct display of the directory size when the directory name
  had spaces in it

Version 0.56
- fix a bug when pasting a file with ask_before_copy=0. In some cases, the input dialog was
  still used.
- when trying to copy or paste a file in the same directory as the source , the target name used 
  in the input dialog is now the name of the source (and not the directory name as previously).
  This is to make it easier to modify the file name directly in the input dialog.
- fix i18n of some message boxes by adding a specific MessageBox class

Version 0.55
- fix a bug in the file delete progress dialog : the directory path was omitted
- fix a bug in the extract archive progress dialog : the destination directory was omitted
- improvement of the file delete operation. Now, it is allowed to delete a write-protected file
  if the user is owner of it. In addition, a dialog asks the user what he wants to do. 

Version 0.54.5
- fix a bug where the right panel size was not correct when clicking on the "show two panels"
  toolbar icon 
- some changes in Desktop file associations
- fix a bug with file operations when the file names have a space in it
- fix a bug with the move command between separate hard disks
- fix a bug where the progress dialogs didn't display the source and target file names when the
  overwrite box was open

Version 0.54.4
- change the way the panel sizes are handled. Now, the left panel size is retained and fix when
  resizing the Xfe window. This is a more usual way to do.
- fix the icon in the overwrite box widget
- add an overwrite box to the "Add to archive" operation
- fix a bug where the "Show hidden folders" option was not retained after leaving Xfe
- the file names in the progress dialogs were slightly truncated. This is fix now.
- add Turkish translation (erkaN <erkaN@linux-sevenler.de>)
- add a wait cursor to a number of file operations (attributes,copy, delete, mount/unmount...)  

Version 0.54.3
- french translation update
- keyboard accelerators in dialog boxes now work as expected
- in two panels mode, pressing the tab key cycles through the panels. No effect in one panel mode
- fix a small regression that prevented the unmount command to work
- fix a bug with the Edit/View command : when an Edit or View association is not defined, the 
  correct mechanism is to call the default viewer or editor  
- fix a bug in the Attributes menu where the size of a directory was not correctly displayed
  if its name had escape characters 
- fix the permissions in the attributes tab when multiple files are selected

Version 0.54.2 (released)
- fix a small bug in DirPanel.cc that prevented compilation of Xfe on a non Linux system
- fix the text alignment problem in the properties window
- replace builtin GIF icons with PNG icons
- add Polish translation (Jacek Dziura <stary@cad.pl>)
- when renaming a file in two panels mode, the destination directory was not selected from the
  current panel  

Version 0.54.1 (released)
- add Brazilian Portuguese translation (Eduardo R.B.S. <edurbs@varginha.com.br>)
- add German translation (Bastian Kleineidam <calvin@users.sf.net>)
- fix a bug with files names like '~test' that were not correctly handled. Rename of the helper
  function getPath() to filePath() to avoid confusions with some other helper functions in FOX
- fix a bug in DirPanel.cc that prevented compilation of Xfe with gcc 3.2.3

Version 0.54 (released)
- fix a bug with the rename command in the directory panel : the target name was not correct in
  some situations
- fix a bug in the new file and new directory operations : it was not possible to create
  file names with escape characters
- fix a bug in the directory panel : the directory size was not correctly shown when
  the path name had escape characters
- fix a bug in the progress bar with long path names
- fix a bug in the file delete operation : sometimes, the current directory was not
  the correct one
- add a lot of mini-icons to the general and context menus in Xfe, Xfv and Xfq
- add shortcuts (Del, Ctrl-C, Ctrl-X, Ctrl-V, Ctrl-N, Ctrl-S) to file operations for the tree panel
- add a button to the toolbar for the show tree operation
- change the way icons are displayed for the hide hidden, hide tree and two panels button icons

Version 0.53
- new function getNumSelectedItems() in FileList class, that returns the number of selected
  items in the file list (used to replace recurrent code in FilePanel.cc and XFileExplorer.cc)
- new keyboard shortcuts : this should help users familiar with both Windows Explorer and
  Midnight Commander. Some operations have two shortcuts (e.g. Delete has Del and F8).
- new FileDialog class, used to get full consistency with the application look and feel.
  It is derived from the standard Fox FXFileDialog, but with some simplifications.
- fix a bug in archive creation : escape characters were not preserved in the archive name
- fix a segfault when dragging a directory in the directory panel
- fix a small regression where the zip files were no more seen as archives!
- the file operations menu items and buttons are now grayed out when no file are selected

Version 0.52
- in X File View, the last opened file name is not saved anymore
- change the file delete shortcut from Ctrl-Del to Del because the bug in the Fox Library
  was at last fix! This is more consistent with other file managers... Thus Xfe now
  requires Fox version 1.0.36 or higher.
- add of French translation (by me, of course)
- fix the Xfe icon destination in Makefile.am 

Version 0.51
- upgrade of the configure scripts to automake-1.5 and autoconf-2.53
- add of i18n support

Version 0.50
- remove of the 'Hidden folder' check box in the directory panel and add
  of the name of the directory path instead
- add of some icons
- add of a 'Console File Manager' button and menu item to allow to call Midnight Commander
 (or another console file manager) with a simple click
- add of the 'Rpm query' menu item in the file panels. This gives the name of
  the RPM package that the selected file is belonging to.
- fix a bug in the rename function of the Attributes window
- code cleanup of the 'DirPanel' class
- in two panels mode, each panel now can be resized individually and their size
  is retained for the next session
- the size of the files in a directory is indicated in the directory
  tree status bar (but not recursively)
- rename of class 'Panel' to 'FilePanel' for consistency
- rename of class 'XFileExp' to 'XFileExplorer' for consistency

Version 0.49
- add a location bar with an history of visited directories
- add a 'New file' item to the menu, panel context menu and toolbar
- add a 'Terminal here' item to the context menus
- fix a memory leak in Attributes.cc

Version 0.48
- add of more icons to the context menus
- add of copy/paste/rename/delete/extract menus to the directory list
- don't allow anymore multiple selection in the directory list
- fix a bug in the Attributes window : the rename function was not the correct one
- add of an attribute menu to the directory list

Version 0.47
- add of a context menu with expand tree / collapse tree functions to the directory list
- add of the 'DirPanel' class for the directory tree list 

Version 0.46
- hovering over a folder in the directory list now expands the directory in the tree
- hovering over a folder in the file list now expands the directory in the list
- panel focus now can be obtain when clicking anywhere in the window
- shift or control key + right mouse button doesn't select any file. This allows a direct access to
  the global popup menu instead of the selection related popup menu (useful when items fill
  the file list)

Version 0.45
- fix a small bug when giving a starting directory name
- completely rewrite the file management routines to be more consistent with the file 
  move/copy/symlink/rename routines  
- add some error messages to the file operations routines

Version 0.44
- add progress dialog and progress bar for drag and drop file operations
- add of keyboard shortcuts for rename, move, symlink operations
- add of an option '--with-static=yes/no' to the configure script,
  to be able to link a static version of Xfe. This is useful for
  computers that don't have the required libraries.
- modification of the spec file to deal with the '--with-static' option

Version 0.43
- symlink command with multiple files selection cannot be used anymore
- add of a progress bar for lengthy file move/rename operations
- fix a number of bugs in the rename and move functions. Add of error messages for some
  error conditions
- reorganisation of the code : now, each custom widget has its own class
- remove of the xincs.h include (to be more portable)

Version 0.42 (released)
- the hard disk icon was not displayed in the tree list. This caused some crashes.
- fix a bug that caused Xfe to crash when extracting an archive
- fix bugs where the show_hidden_files, show_hidden_dir and auto_save_layout commands were not saved
  when leaving Xfe
- add of errors messages when trying to copy/paste/move/rename to an inexisting directory or when the
  target directory is not writable
- add of error messages when creating a new directory and the parent directory doesn't exist or is not
  writable

Version 0.41
- use switch/case instead of if/else if in File.cc
- use the installation prefix to define the global icons path. Thus, if prefix=/usr/local,
  then iconpath=/usr/local/lib/foxicons, and if prefix=/usr, iconpath=/urs/lib/foxicons.
- fix a little bug with the browse icon path button

Version 0.40 (released)
- new icons for locked folders
- use reswrap to construct the files icons.h and icons.cc at compile time, for Xfe, Xfv and Xfq
- fix a bug to let Xfq work with rpm version 3.x

Version 0.39 (released)
- fix a bug where the locked folder icons where not displayed in file list
- fix a bug with copy/paste in two panels mode 

Version 0.38
- add of X File Query (Xfq), a simple RPM package viewer and installer, with the same look and feel
as Xfe

Version 0.37
- the color theme of Xfv is now the same as Xfe. Removed the color option box

Version 0.36
- fix some bugs relative to the move, rename and copy operations when the destination is a directory. Seems
to work correctly now!

Version 0.35 (released)
- add of X File View (Xfv), a simple text viewer with the same look and feel as Xfe

Version 0.34
- add of a progress dialog for mount / unmount file system operations

Version 0.33
- add of a progress dialog for archive (extraction and creation) operations

Version 0.32
- add of a progress dialog for chmod and chown operations
- now dead links are seen! (was not the case even in Xwc!)
- fix a number of bugs related to the chown and chmod operations

Version 0.31
- add of a GNOME color theme

Version 0.30
- add of a progress dialog for file move operations

Version 0.29
- add of a progress dialog for file delete operations

Version 0.28
- add of a progress bar for file copy operations

Version 0.27.1 (released)
- correct a bug introduced in the previous release. Sorry for the inconvenience

Version 0.27 (released)
- add Overwrite Box for file copy / move /symlink operations

Version 0.26 (released)
- correct a compilation problem with gcc 3.2
- add a toolbar button for switching between one / two panels

Version 0.25 (released)
- correct an important bug in the file deletion process
- add a toolbar button for showing / hiding hidden files

Version 0.24 (released)
- initial release of X File Explorer
- fully functional with a lot of bugs, I suppose
